import { APIGatewayClient } from "./APIGatewayClient";
import { CreateApiKeyInput } from "./types/CreateApiKeyInput";
import { CreateApiKeyOutput } from "./types/CreateApiKeyOutput";
import { CreateAuthorizerInput } from "./types/CreateAuthorizerInput";
import { CreateAuthorizerOutput } from "./types/CreateAuthorizerOutput";
import { CreateBasePathMappingInput } from "./types/CreateBasePathMappingInput";
import { CreateBasePathMappingOutput } from "./types/CreateBasePathMappingOutput";
import { CreateDeploymentInput } from "./types/CreateDeploymentInput";
import { CreateDeploymentOutput } from "./types/CreateDeploymentOutput";
import { CreateDocumentationPartInput } from "./types/CreateDocumentationPartInput";
import { CreateDocumentationPartOutput } from "./types/CreateDocumentationPartOutput";
import { CreateDocumentationVersionInput } from "./types/CreateDocumentationVersionInput";
import { CreateDocumentationVersionOutput } from "./types/CreateDocumentationVersionOutput";
import { CreateDomainNameInput } from "./types/CreateDomainNameInput";
import { CreateDomainNameOutput } from "./types/CreateDomainNameOutput";
import { CreateModelInput } from "./types/CreateModelInput";
import { CreateModelOutput } from "./types/CreateModelOutput";
import { CreateRequestValidatorInput } from "./types/CreateRequestValidatorInput";
import { CreateRequestValidatorOutput } from "./types/CreateRequestValidatorOutput";
import { CreateResourceInput } from "./types/CreateResourceInput";
import { CreateResourceOutput } from "./types/CreateResourceOutput";
import { CreateRestApiInput } from "./types/CreateRestApiInput";
import { CreateRestApiOutput } from "./types/CreateRestApiOutput";
import { CreateStageInput } from "./types/CreateStageInput";
import { CreateStageOutput } from "./types/CreateStageOutput";
import { CreateUsagePlanInput } from "./types/CreateUsagePlanInput";
import { CreateUsagePlanKeyInput } from "./types/CreateUsagePlanKeyInput";
import { CreateUsagePlanKeyOutput } from "./types/CreateUsagePlanKeyOutput";
import { CreateUsagePlanOutput } from "./types/CreateUsagePlanOutput";
import { CreateVpcLinkInput } from "./types/CreateVpcLinkInput";
import { CreateVpcLinkOutput } from "./types/CreateVpcLinkOutput";
import { DeleteApiKeyInput } from "./types/DeleteApiKeyInput";
import { DeleteApiKeyOutput } from "./types/DeleteApiKeyOutput";
import { DeleteAuthorizerInput } from "./types/DeleteAuthorizerInput";
import { DeleteAuthorizerOutput } from "./types/DeleteAuthorizerOutput";
import { DeleteBasePathMappingInput } from "./types/DeleteBasePathMappingInput";
import { DeleteBasePathMappingOutput } from "./types/DeleteBasePathMappingOutput";
import { DeleteClientCertificateInput } from "./types/DeleteClientCertificateInput";
import { DeleteClientCertificateOutput } from "./types/DeleteClientCertificateOutput";
import { DeleteDeploymentInput } from "./types/DeleteDeploymentInput";
import { DeleteDeploymentOutput } from "./types/DeleteDeploymentOutput";
import { DeleteDocumentationPartInput } from "./types/DeleteDocumentationPartInput";
import { DeleteDocumentationPartOutput } from "./types/DeleteDocumentationPartOutput";
import { DeleteDocumentationVersionInput } from "./types/DeleteDocumentationVersionInput";
import { DeleteDocumentationVersionOutput } from "./types/DeleteDocumentationVersionOutput";
import { DeleteDomainNameInput } from "./types/DeleteDomainNameInput";
import { DeleteDomainNameOutput } from "./types/DeleteDomainNameOutput";
import { DeleteGatewayResponseInput } from "./types/DeleteGatewayResponseInput";
import { DeleteGatewayResponseOutput } from "./types/DeleteGatewayResponseOutput";
import { DeleteIntegrationInput } from "./types/DeleteIntegrationInput";
import { DeleteIntegrationOutput } from "./types/DeleteIntegrationOutput";
import { DeleteIntegrationResponseInput } from "./types/DeleteIntegrationResponseInput";
import { DeleteIntegrationResponseOutput } from "./types/DeleteIntegrationResponseOutput";
import { DeleteMethodInput } from "./types/DeleteMethodInput";
import { DeleteMethodOutput } from "./types/DeleteMethodOutput";
import { DeleteMethodResponseInput } from "./types/DeleteMethodResponseInput";
import { DeleteMethodResponseOutput } from "./types/DeleteMethodResponseOutput";
import { DeleteModelInput } from "./types/DeleteModelInput";
import { DeleteModelOutput } from "./types/DeleteModelOutput";
import { DeleteRequestValidatorInput } from "./types/DeleteRequestValidatorInput";
import { DeleteRequestValidatorOutput } from "./types/DeleteRequestValidatorOutput";
import { DeleteResourceInput } from "./types/DeleteResourceInput";
import { DeleteResourceOutput } from "./types/DeleteResourceOutput";
import { DeleteRestApiInput } from "./types/DeleteRestApiInput";
import { DeleteRestApiOutput } from "./types/DeleteRestApiOutput";
import { DeleteStageInput } from "./types/DeleteStageInput";
import { DeleteStageOutput } from "./types/DeleteStageOutput";
import { DeleteUsagePlanInput } from "./types/DeleteUsagePlanInput";
import { DeleteUsagePlanKeyInput } from "./types/DeleteUsagePlanKeyInput";
import { DeleteUsagePlanKeyOutput } from "./types/DeleteUsagePlanKeyOutput";
import { DeleteUsagePlanOutput } from "./types/DeleteUsagePlanOutput";
import { DeleteVpcLinkInput } from "./types/DeleteVpcLinkInput";
import { DeleteVpcLinkOutput } from "./types/DeleteVpcLinkOutput";
import { FlushStageAuthorizersCacheInput } from "./types/FlushStageAuthorizersCacheInput";
import { FlushStageAuthorizersCacheOutput } from "./types/FlushStageAuthorizersCacheOutput";
import { FlushStageCacheInput } from "./types/FlushStageCacheInput";
import { FlushStageCacheOutput } from "./types/FlushStageCacheOutput";
import { GenerateClientCertificateInput } from "./types/GenerateClientCertificateInput";
import { GenerateClientCertificateOutput } from "./types/GenerateClientCertificateOutput";
import { GetAccountInput } from "./types/GetAccountInput";
import { GetAccountOutput } from "./types/GetAccountOutput";
import { GetApiKeyInput } from "./types/GetApiKeyInput";
import { GetApiKeyOutput } from "./types/GetApiKeyOutput";
import { GetApiKeysInput } from "./types/GetApiKeysInput";
import { GetApiKeysOutput } from "./types/GetApiKeysOutput";
import { GetAuthorizerInput } from "./types/GetAuthorizerInput";
import { GetAuthorizerOutput } from "./types/GetAuthorizerOutput";
import { GetAuthorizersInput } from "./types/GetAuthorizersInput";
import { GetAuthorizersOutput } from "./types/GetAuthorizersOutput";
import { GetBasePathMappingInput } from "./types/GetBasePathMappingInput";
import { GetBasePathMappingOutput } from "./types/GetBasePathMappingOutput";
import { GetBasePathMappingsInput } from "./types/GetBasePathMappingsInput";
import { GetBasePathMappingsOutput } from "./types/GetBasePathMappingsOutput";
import { GetClientCertificateInput } from "./types/GetClientCertificateInput";
import { GetClientCertificateOutput } from "./types/GetClientCertificateOutput";
import { GetClientCertificatesInput } from "./types/GetClientCertificatesInput";
import { GetClientCertificatesOutput } from "./types/GetClientCertificatesOutput";
import { GetDeploymentInput } from "./types/GetDeploymentInput";
import { GetDeploymentOutput } from "./types/GetDeploymentOutput";
import { GetDeploymentsInput } from "./types/GetDeploymentsInput";
import { GetDeploymentsOutput } from "./types/GetDeploymentsOutput";
import { GetDocumentationPartInput } from "./types/GetDocumentationPartInput";
import { GetDocumentationPartOutput } from "./types/GetDocumentationPartOutput";
import { GetDocumentationPartsInput } from "./types/GetDocumentationPartsInput";
import { GetDocumentationPartsOutput } from "./types/GetDocumentationPartsOutput";
import { GetDocumentationVersionInput } from "./types/GetDocumentationVersionInput";
import { GetDocumentationVersionOutput } from "./types/GetDocumentationVersionOutput";
import { GetDocumentationVersionsInput } from "./types/GetDocumentationVersionsInput";
import { GetDocumentationVersionsOutput } from "./types/GetDocumentationVersionsOutput";
import { GetDomainNameInput } from "./types/GetDomainNameInput";
import { GetDomainNameOutput } from "./types/GetDomainNameOutput";
import { GetDomainNamesInput } from "./types/GetDomainNamesInput";
import { GetDomainNamesOutput } from "./types/GetDomainNamesOutput";
import { GetExportInput } from "./types/GetExportInput";
import { GetExportOutput } from "./types/GetExportOutput";
import { GetGatewayResponseInput } from "./types/GetGatewayResponseInput";
import { GetGatewayResponseOutput } from "./types/GetGatewayResponseOutput";
import { GetGatewayResponsesInput } from "./types/GetGatewayResponsesInput";
import { GetGatewayResponsesOutput } from "./types/GetGatewayResponsesOutput";
import { GetIntegrationInput } from "./types/GetIntegrationInput";
import { GetIntegrationOutput } from "./types/GetIntegrationOutput";
import { GetIntegrationResponseInput } from "./types/GetIntegrationResponseInput";
import { GetIntegrationResponseOutput } from "./types/GetIntegrationResponseOutput";
import { GetMethodInput } from "./types/GetMethodInput";
import { GetMethodOutput } from "./types/GetMethodOutput";
import { GetMethodResponseInput } from "./types/GetMethodResponseInput";
import { GetMethodResponseOutput } from "./types/GetMethodResponseOutput";
import { GetModelInput } from "./types/GetModelInput";
import { GetModelOutput } from "./types/GetModelOutput";
import { GetModelTemplateInput } from "./types/GetModelTemplateInput";
import { GetModelTemplateOutput } from "./types/GetModelTemplateOutput";
import { GetModelsInput } from "./types/GetModelsInput";
import { GetModelsOutput } from "./types/GetModelsOutput";
import { GetRequestValidatorInput } from "./types/GetRequestValidatorInput";
import { GetRequestValidatorOutput } from "./types/GetRequestValidatorOutput";
import { GetRequestValidatorsInput } from "./types/GetRequestValidatorsInput";
import { GetRequestValidatorsOutput } from "./types/GetRequestValidatorsOutput";
import { GetResourceInput } from "./types/GetResourceInput";
import { GetResourceOutput } from "./types/GetResourceOutput";
import { GetResourcesInput } from "./types/GetResourcesInput";
import { GetResourcesOutput } from "./types/GetResourcesOutput";
import { GetRestApiInput } from "./types/GetRestApiInput";
import { GetRestApiOutput } from "./types/GetRestApiOutput";
import { GetRestApisInput } from "./types/GetRestApisInput";
import { GetRestApisOutput } from "./types/GetRestApisOutput";
import { GetSdkInput } from "./types/GetSdkInput";
import { GetSdkOutput } from "./types/GetSdkOutput";
import { GetSdkTypeInput } from "./types/GetSdkTypeInput";
import { GetSdkTypeOutput } from "./types/GetSdkTypeOutput";
import { GetSdkTypesInput } from "./types/GetSdkTypesInput";
import { GetSdkTypesOutput } from "./types/GetSdkTypesOutput";
import { GetStageInput } from "./types/GetStageInput";
import { GetStageOutput } from "./types/GetStageOutput";
import { GetStagesInput } from "./types/GetStagesInput";
import { GetStagesOutput } from "./types/GetStagesOutput";
import { GetTagsInput } from "./types/GetTagsInput";
import { GetTagsOutput } from "./types/GetTagsOutput";
import { GetUsageInput } from "./types/GetUsageInput";
import { GetUsageOutput } from "./types/GetUsageOutput";
import { GetUsagePlanInput } from "./types/GetUsagePlanInput";
import { GetUsagePlanKeyInput } from "./types/GetUsagePlanKeyInput";
import { GetUsagePlanKeyOutput } from "./types/GetUsagePlanKeyOutput";
import { GetUsagePlanKeysInput } from "./types/GetUsagePlanKeysInput";
import { GetUsagePlanKeysOutput } from "./types/GetUsagePlanKeysOutput";
import { GetUsagePlanOutput } from "./types/GetUsagePlanOutput";
import { GetUsagePlansInput } from "./types/GetUsagePlansInput";
import { GetUsagePlansOutput } from "./types/GetUsagePlansOutput";
import { GetVpcLinkInput } from "./types/GetVpcLinkInput";
import { GetVpcLinkOutput } from "./types/GetVpcLinkOutput";
import { GetVpcLinksInput } from "./types/GetVpcLinksInput";
import { GetVpcLinksOutput } from "./types/GetVpcLinksOutput";
import { ImportApiKeysInput } from "./types/ImportApiKeysInput";
import { ImportApiKeysOutput } from "./types/ImportApiKeysOutput";
import { ImportDocumentationPartsInput } from "./types/ImportDocumentationPartsInput";
import { ImportDocumentationPartsOutput } from "./types/ImportDocumentationPartsOutput";
import { ImportRestApiInput } from "./types/ImportRestApiInput";
import { ImportRestApiOutput } from "./types/ImportRestApiOutput";
import { PutGatewayResponseInput } from "./types/PutGatewayResponseInput";
import { PutGatewayResponseOutput } from "./types/PutGatewayResponseOutput";
import { PutIntegrationInput } from "./types/PutIntegrationInput";
import { PutIntegrationOutput } from "./types/PutIntegrationOutput";
import { PutIntegrationResponseInput } from "./types/PutIntegrationResponseInput";
import { PutIntegrationResponseOutput } from "./types/PutIntegrationResponseOutput";
import { PutMethodInput } from "./types/PutMethodInput";
import { PutMethodOutput } from "./types/PutMethodOutput";
import { PutMethodResponseInput } from "./types/PutMethodResponseInput";
import { PutMethodResponseOutput } from "./types/PutMethodResponseOutput";
import { PutRestApiInput } from "./types/PutRestApiInput";
import { PutRestApiOutput } from "./types/PutRestApiOutput";
import { TagResourceInput } from "./types/TagResourceInput";
import { TagResourceOutput } from "./types/TagResourceOutput";
import { TestInvokeAuthorizerInput } from "./types/TestInvokeAuthorizerInput";
import { TestInvokeAuthorizerOutput } from "./types/TestInvokeAuthorizerOutput";
import { TestInvokeMethodInput } from "./types/TestInvokeMethodInput";
import { TestInvokeMethodOutput } from "./types/TestInvokeMethodOutput";
import { UntagResourceInput } from "./types/UntagResourceInput";
import { UntagResourceOutput } from "./types/UntagResourceOutput";
import { UpdateAccountInput } from "./types/UpdateAccountInput";
import { UpdateAccountOutput } from "./types/UpdateAccountOutput";
import { UpdateApiKeyInput } from "./types/UpdateApiKeyInput";
import { UpdateApiKeyOutput } from "./types/UpdateApiKeyOutput";
import { UpdateAuthorizerInput } from "./types/UpdateAuthorizerInput";
import { UpdateAuthorizerOutput } from "./types/UpdateAuthorizerOutput";
import { UpdateBasePathMappingInput } from "./types/UpdateBasePathMappingInput";
import { UpdateBasePathMappingOutput } from "./types/UpdateBasePathMappingOutput";
import { UpdateClientCertificateInput } from "./types/UpdateClientCertificateInput";
import { UpdateClientCertificateOutput } from "./types/UpdateClientCertificateOutput";
import { UpdateDeploymentInput } from "./types/UpdateDeploymentInput";
import { UpdateDeploymentOutput } from "./types/UpdateDeploymentOutput";
import { UpdateDocumentationPartInput } from "./types/UpdateDocumentationPartInput";
import { UpdateDocumentationPartOutput } from "./types/UpdateDocumentationPartOutput";
import { UpdateDocumentationVersionInput } from "./types/UpdateDocumentationVersionInput";
import { UpdateDocumentationVersionOutput } from "./types/UpdateDocumentationVersionOutput";
import { UpdateDomainNameInput } from "./types/UpdateDomainNameInput";
import { UpdateDomainNameOutput } from "./types/UpdateDomainNameOutput";
import { UpdateGatewayResponseInput } from "./types/UpdateGatewayResponseInput";
import { UpdateGatewayResponseOutput } from "./types/UpdateGatewayResponseOutput";
import { UpdateIntegrationInput } from "./types/UpdateIntegrationInput";
import { UpdateIntegrationOutput } from "./types/UpdateIntegrationOutput";
import { UpdateIntegrationResponseInput } from "./types/UpdateIntegrationResponseInput";
import { UpdateIntegrationResponseOutput } from "./types/UpdateIntegrationResponseOutput";
import { UpdateMethodInput } from "./types/UpdateMethodInput";
import { UpdateMethodOutput } from "./types/UpdateMethodOutput";
import { UpdateMethodResponseInput } from "./types/UpdateMethodResponseInput";
import { UpdateMethodResponseOutput } from "./types/UpdateMethodResponseOutput";
import { UpdateModelInput } from "./types/UpdateModelInput";
import { UpdateModelOutput } from "./types/UpdateModelOutput";
import { UpdateRequestValidatorInput } from "./types/UpdateRequestValidatorInput";
import { UpdateRequestValidatorOutput } from "./types/UpdateRequestValidatorOutput";
import { UpdateResourceInput } from "./types/UpdateResourceInput";
import { UpdateResourceOutput } from "./types/UpdateResourceOutput";
import { UpdateRestApiInput } from "./types/UpdateRestApiInput";
import { UpdateRestApiOutput } from "./types/UpdateRestApiOutput";
import { UpdateStageInput } from "./types/UpdateStageInput";
import { UpdateStageOutput } from "./types/UpdateStageOutput";
import { UpdateUsageInput } from "./types/UpdateUsageInput";
import { UpdateUsageOutput } from "./types/UpdateUsageOutput";
import { UpdateUsagePlanInput } from "./types/UpdateUsagePlanInput";
import { UpdateUsagePlanOutput } from "./types/UpdateUsagePlanOutput";
import { UpdateVpcLinkInput } from "./types/UpdateVpcLinkInput";
import { UpdateVpcLinkOutput } from "./types/UpdateVpcLinkOutput";
export declare class APIGateway extends APIGatewayClient {
    /**
     * <p>Create an <a>ApiKey</a> resource. </p> <div class="seeAlso"><a href="https://docs.aws.amazon.com/cli/latest/reference/apigateway/create-api-key.html">AWS CLI</a></div>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createApiKey(args: CreateApiKeyInput): Promise<CreateApiKeyOutput>;
    createApiKey(args: CreateApiKeyInput, cb: (err: any, data?: CreateApiKeyOutput) => void): void;
    /**
     * <p>Adds a new <a>Authorizer</a> resource to an existing <a>RestApi</a> resource.</p> <div class="seeAlso"><a href="https://docs.aws.amazon.com/cli/latest/reference/apigateway/create-authorizer.html">AWS CLI</a></div>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createAuthorizer(args: CreateAuthorizerInput): Promise<CreateAuthorizerOutput>;
    createAuthorizer(args: CreateAuthorizerInput, cb: (err: any, data?: CreateAuthorizerOutput) => void): void;
    /**
     * <p>Creates a new <a>BasePathMapping</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createBasePathMapping(args: CreateBasePathMappingInput): Promise<CreateBasePathMappingOutput>;
    createBasePathMapping(args: CreateBasePathMappingInput, cb: (err: any, data?: CreateBasePathMappingOutput) => void): void;
    /**
     * <p>Creates a <a>Deployment</a> resource, which makes a specified <a>RestApi</a> callable over the internet.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ServiceUnavailableException} <p>The requested service is not available. For details see the accompanying error message. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDeployment(args: CreateDeploymentInput): Promise<CreateDeploymentOutput>;
    createDeployment(args: CreateDeploymentInput, cb: (err: any, data?: CreateDeploymentOutput) => void): void;
    /**
     * CreateDocumentationPart operation
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDocumentationPart(args: CreateDocumentationPartInput): Promise<CreateDocumentationPartOutput>;
    createDocumentationPart(args: CreateDocumentationPartInput, cb: (err: any, data?: CreateDocumentationPartOutput) => void): void;
    /**
     * CreateDocumentationVersion operation
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDocumentationVersion(args: CreateDocumentationVersionInput): Promise<CreateDocumentationVersionOutput>;
    createDocumentationVersion(args: CreateDocumentationVersionInput, cb: (err: any, data?: CreateDocumentationVersionOutput) => void): void;
    /**
     * <p>Creates a new domain name.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDomainName(args: CreateDomainNameInput): Promise<CreateDomainNameOutput>;
    createDomainName(args: CreateDomainNameInput, cb: (err: any, data?: CreateDomainNameOutput) => void): void;
    /**
     * <p>Adds a new <a>Model</a> resource to an existing <a>RestApi</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createModel(args: CreateModelInput): Promise<CreateModelOutput>;
    createModel(args: CreateModelInput, cb: (err: any, data?: CreateModelOutput) => void): void;
    /**
     * <p>Creates a <a>ReqeustValidator</a> of a given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createRequestValidator(args: CreateRequestValidatorInput): Promise<CreateRequestValidatorOutput>;
    createRequestValidator(args: CreateRequestValidatorInput, cb: (err: any, data?: CreateRequestValidatorOutput) => void): void;
    /**
     * <p>Creates a <a>Resource</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createResource(args: CreateResourceInput): Promise<CreateResourceOutput>;
    createResource(args: CreateResourceInput, cb: (err: any, data?: CreateResourceOutput) => void): void;
    /**
     * <p>Creates a new <a>RestApi</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createRestApi(args: CreateRestApiInput): Promise<CreateRestApiOutput>;
    createRestApi(args: CreateRestApiInput, cb: (err: any, data?: CreateRestApiOutput) => void): void;
    /**
     * <p>Creates a new <a>Stage</a> resource that references a pre-existing <a>Deployment</a> for the API. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createStage(args: CreateStageInput): Promise<CreateStageOutput>;
    createStage(args: CreateStageInput, cb: (err: any, data?: CreateStageOutput) => void): void;
    /**
     * <p>Creates a usage plan with the throttle and quota limits, as well as the associated API stages, specified in the payload. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createUsagePlan(args: CreateUsagePlanInput): Promise<CreateUsagePlanOutput>;
    createUsagePlan(args: CreateUsagePlanInput, cb: (err: any, data?: CreateUsagePlanOutput) => void): void;
    /**
     * <p>Creates a usage plan key for adding an existing API key to a usage plan.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createUsagePlanKey(args: CreateUsagePlanKeyInput): Promise<CreateUsagePlanKeyOutput>;
    createUsagePlanKey(args: CreateUsagePlanKeyInput, cb: (err: any, data?: CreateUsagePlanKeyOutput) => void): void;
    /**
     * <p>Creates a VPC link, under the caller's account in a selected region, in an asynchronous operation that typically takes 2-4 minutes to complete and become operational. The caller must have permissions to create and update VPC Endpoint services.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createVpcLink(args: CreateVpcLinkInput): Promise<CreateVpcLinkOutput>;
    createVpcLink(args: CreateVpcLinkInput, cb: (err: any, data?: CreateVpcLinkOutput) => void): void;
    /**
     * <p>Deletes the <a>ApiKey</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteApiKey(args: DeleteApiKeyInput): Promise<DeleteApiKeyOutput>;
    deleteApiKey(args: DeleteApiKeyInput, cb: (err: any, data?: DeleteApiKeyOutput) => void): void;
    /**
     * <p>Deletes an existing <a>Authorizer</a> resource.</p> <div class="seeAlso"><a href="https://docs.aws.amazon.com/cli/latest/reference/apigateway/delete-authorizer.html">AWS CLI</a></div>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteAuthorizer(args: DeleteAuthorizerInput): Promise<DeleteAuthorizerOutput>;
    deleteAuthorizer(args: DeleteAuthorizerInput, cb: (err: any, data?: DeleteAuthorizerOutput) => void): void;
    /**
     * <p>Deletes the <a>BasePathMapping</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteBasePathMapping(args: DeleteBasePathMappingInput): Promise<DeleteBasePathMappingOutput>;
    deleteBasePathMapping(args: DeleteBasePathMappingInput, cb: (err: any, data?: DeleteBasePathMappingOutput) => void): void;
    /**
     * <p>Deletes the <a>ClientCertificate</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteClientCertificate(args: DeleteClientCertificateInput): Promise<DeleteClientCertificateOutput>;
    deleteClientCertificate(args: DeleteClientCertificateInput, cb: (err: any, data?: DeleteClientCertificateOutput) => void): void;
    /**
     * <p>Deletes a <a>Deployment</a> resource. Deleting a deployment will only succeed if there are no <a>Stage</a> resources associated with it.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDeployment(args: DeleteDeploymentInput): Promise<DeleteDeploymentOutput>;
    deleteDeployment(args: DeleteDeploymentInput, cb: (err: any, data?: DeleteDeploymentOutput) => void): void;
    /**
     * DeleteDocumentationPart operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDocumentationPart(args: DeleteDocumentationPartInput): Promise<DeleteDocumentationPartOutput>;
    deleteDocumentationPart(args: DeleteDocumentationPartInput, cb: (err: any, data?: DeleteDocumentationPartOutput) => void): void;
    /**
     * DeleteDocumentationVersion operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDocumentationVersion(args: DeleteDocumentationVersionInput): Promise<DeleteDocumentationVersionOutput>;
    deleteDocumentationVersion(args: DeleteDocumentationVersionInput, cb: (err: any, data?: DeleteDocumentationVersionOutput) => void): void;
    /**
     * <p>Deletes the <a>DomainName</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDomainName(args: DeleteDomainNameInput): Promise<DeleteDomainNameOutput>;
    deleteDomainName(args: DeleteDomainNameInput, cb: (err: any, data?: DeleteDomainNameOutput) => void): void;
    /**
     * <p>Clears any customization of a <a>GatewayResponse</a> of a specified response type on the given <a>RestApi</a> and resets it with the default settings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteGatewayResponse(args: DeleteGatewayResponseInput): Promise<DeleteGatewayResponseOutput>;
    deleteGatewayResponse(args: DeleteGatewayResponseInput, cb: (err: any, data?: DeleteGatewayResponseOutput) => void): void;
    /**
     * <p>Represents a delete integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteIntegration(args: DeleteIntegrationInput): Promise<DeleteIntegrationOutput>;
    deleteIntegration(args: DeleteIntegrationInput, cb: (err: any, data?: DeleteIntegrationOutput) => void): void;
    /**
     * <p>Represents a delete integration response.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteIntegrationResponse(args: DeleteIntegrationResponseInput): Promise<DeleteIntegrationResponseOutput>;
    deleteIntegrationResponse(args: DeleteIntegrationResponseInput, cb: (err: any, data?: DeleteIntegrationResponseOutput) => void): void;
    /**
     * <p>Deletes an existing <a>Method</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteMethod(args: DeleteMethodInput): Promise<DeleteMethodOutput>;
    deleteMethod(args: DeleteMethodInput, cb: (err: any, data?: DeleteMethodOutput) => void): void;
    /**
     * <p>Deletes an existing <a>MethodResponse</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteMethodResponse(args: DeleteMethodResponseInput): Promise<DeleteMethodResponseOutput>;
    deleteMethodResponse(args: DeleteMethodResponseInput, cb: (err: any, data?: DeleteMethodResponseOutput) => void): void;
    /**
     * <p>Deletes a model.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteModel(args: DeleteModelInput): Promise<DeleteModelOutput>;
    deleteModel(args: DeleteModelInput, cb: (err: any, data?: DeleteModelOutput) => void): void;
    /**
     * <p>Deletes a <a>RequestValidator</a> of a given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteRequestValidator(args: DeleteRequestValidatorInput): Promise<DeleteRequestValidatorOutput>;
    deleteRequestValidator(args: DeleteRequestValidatorInput, cb: (err: any, data?: DeleteRequestValidatorOutput) => void): void;
    /**
     * <p>Deletes a <a>Resource</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteResource(args: DeleteResourceInput): Promise<DeleteResourceOutput>;
    deleteResource(args: DeleteResourceInput, cb: (err: any, data?: DeleteResourceOutput) => void): void;
    /**
     * <p>Deletes the specified API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteRestApi(args: DeleteRestApiInput): Promise<DeleteRestApiOutput>;
    deleteRestApi(args: DeleteRestApiInput, cb: (err: any, data?: DeleteRestApiOutput) => void): void;
    /**
     * <p>Deletes a <a>Stage</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteStage(args: DeleteStageInput): Promise<DeleteStageOutput>;
    deleteStage(args: DeleteStageInput, cb: (err: any, data?: DeleteStageOutput) => void): void;
    /**
     * <p>Deletes a usage plan of a given plan Id.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteUsagePlan(args: DeleteUsagePlanInput): Promise<DeleteUsagePlanOutput>;
    deleteUsagePlan(args: DeleteUsagePlanInput, cb: (err: any, data?: DeleteUsagePlanOutput) => void): void;
    /**
     * <p>Deletes a usage plan key and remove the underlying API key from the associated usage plan.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteUsagePlanKey(args: DeleteUsagePlanKeyInput): Promise<DeleteUsagePlanKeyOutput>;
    deleteUsagePlanKey(args: DeleteUsagePlanKeyInput, cb: (err: any, data?: DeleteUsagePlanKeyOutput) => void): void;
    /**
     * <p>Deletes an existing <a>VpcLink</a> of a specified identifier.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteVpcLink(args: DeleteVpcLinkInput): Promise<DeleteVpcLinkOutput>;
    deleteVpcLink(args: DeleteVpcLinkInput, cb: (err: any, data?: DeleteVpcLinkOutput) => void): void;
    /**
     * <p>Flushes all authorizer cache entries on a stage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    flushStageAuthorizersCache(args: FlushStageAuthorizersCacheInput): Promise<FlushStageAuthorizersCacheOutput>;
    flushStageAuthorizersCache(args: FlushStageAuthorizersCacheInput, cb: (err: any, data?: FlushStageAuthorizersCacheOutput) => void): void;
    /**
     * <p>Flushes a stage's cache.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    flushStageCache(args: FlushStageCacheInput): Promise<FlushStageCacheOutput>;
    flushStageCache(args: FlushStageCacheInput, cb: (err: any, data?: FlushStageCacheOutput) => void): void;
    /**
     * <p>Generates a <a>ClientCertificate</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    generateClientCertificate(args: GenerateClientCertificateInput): Promise<GenerateClientCertificateOutput>;
    generateClientCertificate(args: GenerateClientCertificateInput, cb: (err: any, data?: GenerateClientCertificateOutput) => void): void;
    /**
     * <p>Gets information about the current <a>Account</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAccount(args: GetAccountInput): Promise<GetAccountOutput>;
    getAccount(args: GetAccountInput, cb: (err: any, data?: GetAccountOutput) => void): void;
    /**
     * <p>Gets information about the current <a>ApiKey</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getApiKey(args: GetApiKeyInput): Promise<GetApiKeyOutput>;
    getApiKey(args: GetApiKeyInput, cb: (err: any, data?: GetApiKeyOutput) => void): void;
    /**
     * <p>Gets information about the current <a>ApiKeys</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getApiKeys(args: GetApiKeysInput): Promise<GetApiKeysOutput>;
    getApiKeys(args: GetApiKeysInput, cb: (err: any, data?: GetApiKeysOutput) => void): void;
    /**
     * <p>Describe an existing <a>Authorizer</a> resource.</p> <div class="seeAlso"><a href="https://docs.aws.amazon.com/cli/latest/reference/apigateway/get-authorizer.html">AWS CLI</a></div>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAuthorizer(args: GetAuthorizerInput): Promise<GetAuthorizerOutput>;
    getAuthorizer(args: GetAuthorizerInput, cb: (err: any, data?: GetAuthorizerOutput) => void): void;
    /**
     * <p>Describe an existing <a>Authorizers</a> resource.</p> <div class="seeAlso"><a href="https://docs.aws.amazon.com/cli/latest/reference/apigateway/get-authorizers.html">AWS CLI</a></div>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAuthorizers(args: GetAuthorizersInput): Promise<GetAuthorizersOutput>;
    getAuthorizers(args: GetAuthorizersInput, cb: (err: any, data?: GetAuthorizersOutput) => void): void;
    /**
     * <p>Describe a <a>BasePathMapping</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBasePathMapping(args: GetBasePathMappingInput): Promise<GetBasePathMappingOutput>;
    getBasePathMapping(args: GetBasePathMappingInput, cb: (err: any, data?: GetBasePathMappingOutput) => void): void;
    /**
     * <p>Represents a collection of <a>BasePathMapping</a> resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBasePathMappings(args: GetBasePathMappingsInput): Promise<GetBasePathMappingsOutput>;
    getBasePathMappings(args: GetBasePathMappingsInput, cb: (err: any, data?: GetBasePathMappingsOutput) => void): void;
    /**
     * <p>Gets information about the current <a>ClientCertificate</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getClientCertificate(args: GetClientCertificateInput): Promise<GetClientCertificateOutput>;
    getClientCertificate(args: GetClientCertificateInput, cb: (err: any, data?: GetClientCertificateOutput) => void): void;
    /**
     * <p>Gets a collection of <a>ClientCertificate</a> resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getClientCertificates(args: GetClientCertificatesInput): Promise<GetClientCertificatesOutput>;
    getClientCertificates(args: GetClientCertificatesInput, cb: (err: any, data?: GetClientCertificatesOutput) => void): void;
    /**
     * <p>Gets information about a <a>Deployment</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ServiceUnavailableException} <p>The requested service is not available. For details see the accompanying error message. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDeployment(args: GetDeploymentInput): Promise<GetDeploymentOutput>;
    getDeployment(args: GetDeploymentInput, cb: (err: any, data?: GetDeploymentOutput) => void): void;
    /**
     * <p>Gets information about a <a>Deployments</a> collection.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ServiceUnavailableException} <p>The requested service is not available. For details see the accompanying error message. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDeployments(args: GetDeploymentsInput): Promise<GetDeploymentsOutput>;
    getDeployments(args: GetDeploymentsInput, cb: (err: any, data?: GetDeploymentsOutput) => void): void;
    /**
     * GetDocumentationPart operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDocumentationPart(args: GetDocumentationPartInput): Promise<GetDocumentationPartOutput>;
    getDocumentationPart(args: GetDocumentationPartInput, cb: (err: any, data?: GetDocumentationPartOutput) => void): void;
    /**
     * GetDocumentationParts operation
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDocumentationParts(args: GetDocumentationPartsInput): Promise<GetDocumentationPartsOutput>;
    getDocumentationParts(args: GetDocumentationPartsInput, cb: (err: any, data?: GetDocumentationPartsOutput) => void): void;
    /**
     * GetDocumentationVersion operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDocumentationVersion(args: GetDocumentationVersionInput): Promise<GetDocumentationVersionOutput>;
    getDocumentationVersion(args: GetDocumentationVersionInput, cb: (err: any, data?: GetDocumentationVersionOutput) => void): void;
    /**
     * GetDocumentationVersions operation
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDocumentationVersions(args: GetDocumentationVersionsInput): Promise<GetDocumentationVersionsOutput>;
    getDocumentationVersions(args: GetDocumentationVersionsInput, cb: (err: any, data?: GetDocumentationVersionsOutput) => void): void;
    /**
     * <p>Represents a domain name that is contained in a simpler, more intuitive URL that can be called.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ServiceUnavailableException} <p>The requested service is not available. For details see the accompanying error message. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDomainName(args: GetDomainNameInput): Promise<GetDomainNameOutput>;
    getDomainName(args: GetDomainNameInput, cb: (err: any, data?: GetDomainNameOutput) => void): void;
    /**
     * <p>Represents a collection of <a>DomainName</a> resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDomainNames(args: GetDomainNamesInput): Promise<GetDomainNamesOutput>;
    getDomainNames(args: GetDomainNamesInput, cb: (err: any, data?: GetDomainNamesOutput) => void): void;
    /**
     * <p>Exports a deployed version of a <a>RestApi</a> in a specified format.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getExport(args: GetExportInput): Promise<GetExportOutput>;
    getExport(args: GetExportInput, cb: (err: any, data?: GetExportOutput) => void): void;
    /**
     * <p>Gets a <a>GatewayResponse</a> of a specified response type on the given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getGatewayResponse(args: GetGatewayResponseInput): Promise<GetGatewayResponseOutput>;
    getGatewayResponse(args: GetGatewayResponseInput, cb: (err: any, data?: GetGatewayResponseOutput) => void): void;
    /**
     * <p>Gets the <a>GatewayResponses</a> collection on the given <a>RestApi</a>. If an API developer has not added any definitions for gateway responses, the result will be the API Gateway-generated default <a>GatewayResponses</a> collection for the supported response types.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getGatewayResponses(args: GetGatewayResponsesInput): Promise<GetGatewayResponsesOutput>;
    getGatewayResponses(args: GetGatewayResponsesInput, cb: (err: any, data?: GetGatewayResponsesOutput) => void): void;
    /**
     * <p>Get the integration settings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getIntegration(args: GetIntegrationInput): Promise<GetIntegrationOutput>;
    getIntegration(args: GetIntegrationInput, cb: (err: any, data?: GetIntegrationOutput) => void): void;
    /**
     * <p>Represents a get integration response.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getIntegrationResponse(args: GetIntegrationResponseInput): Promise<GetIntegrationResponseOutput>;
    getIntegrationResponse(args: GetIntegrationResponseInput, cb: (err: any, data?: GetIntegrationResponseOutput) => void): void;
    /**
     * <p>Describe an existing <a>Method</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getMethod(args: GetMethodInput): Promise<GetMethodOutput>;
    getMethod(args: GetMethodInput, cb: (err: any, data?: GetMethodOutput) => void): void;
    /**
     * <p>Describes a <a>MethodResponse</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getMethodResponse(args: GetMethodResponseInput): Promise<GetMethodResponseOutput>;
    getMethodResponse(args: GetMethodResponseInput, cb: (err: any, data?: GetMethodResponseOutput) => void): void;
    /**
     * <p>Describes an existing model defined for a <a>RestApi</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getModel(args: GetModelInput): Promise<GetModelOutput>;
    getModel(args: GetModelInput, cb: (err: any, data?: GetModelOutput) => void): void;
    /**
     * <p>Generates a sample mapping template that can be used to transform a payload into the structure of a model.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getModelTemplate(args: GetModelTemplateInput): Promise<GetModelTemplateOutput>;
    getModelTemplate(args: GetModelTemplateInput, cb: (err: any, data?: GetModelTemplateOutput) => void): void;
    /**
     * <p>Describes existing <a>Models</a> defined for a <a>RestApi</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getModels(args: GetModelsInput): Promise<GetModelsOutput>;
    getModels(args: GetModelsInput, cb: (err: any, data?: GetModelsOutput) => void): void;
    /**
     * <p>Gets a <a>RequestValidator</a> of a given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRequestValidator(args: GetRequestValidatorInput): Promise<GetRequestValidatorOutput>;
    getRequestValidator(args: GetRequestValidatorInput, cb: (err: any, data?: GetRequestValidatorOutput) => void): void;
    /**
     * <p>Gets the <a>RequestValidators</a> collection of a given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRequestValidators(args: GetRequestValidatorsInput): Promise<GetRequestValidatorsOutput>;
    getRequestValidators(args: GetRequestValidatorsInput, cb: (err: any, data?: GetRequestValidatorsOutput) => void): void;
    /**
     * <p>Lists information about a resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getResource(args: GetResourceInput): Promise<GetResourceOutput>;
    getResource(args: GetResourceInput, cb: (err: any, data?: GetResourceOutput) => void): void;
    /**
     * <p>Lists information about a collection of <a>Resource</a> resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getResources(args: GetResourcesInput): Promise<GetResourcesOutput>;
    getResources(args: GetResourcesInput, cb: (err: any, data?: GetResourcesOutput) => void): void;
    /**
     * <p>Lists the <a>RestApi</a> resource in the collection.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRestApi(args: GetRestApiInput): Promise<GetRestApiOutput>;
    getRestApi(args: GetRestApiInput, cb: (err: any, data?: GetRestApiOutput) => void): void;
    /**
     * <p>Lists the <a>RestApis</a> resources for your collection.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getRestApis(args: GetRestApisInput): Promise<GetRestApisOutput>;
    getRestApis(args: GetRestApisInput, cb: (err: any, data?: GetRestApisOutput) => void): void;
    /**
     * <p>Generates a client SDK for a <a>RestApi</a> and <a>Stage</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getSdk(args: GetSdkInput): Promise<GetSdkOutput>;
    getSdk(args: GetSdkInput, cb: (err: any, data?: GetSdkOutput) => void): void;
    /**
     * GetSdkType operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getSdkType(args: GetSdkTypeInput): Promise<GetSdkTypeOutput>;
    getSdkType(args: GetSdkTypeInput, cb: (err: any, data?: GetSdkTypeOutput) => void): void;
    /**
     * GetSdkTypes operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getSdkTypes(args: GetSdkTypesInput): Promise<GetSdkTypesOutput>;
    getSdkTypes(args: GetSdkTypesInput, cb: (err: any, data?: GetSdkTypesOutput) => void): void;
    /**
     * <p>Gets information about a <a>Stage</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getStage(args: GetStageInput): Promise<GetStageOutput>;
    getStage(args: GetStageInput, cb: (err: any, data?: GetStageOutput) => void): void;
    /**
     * <p>Gets information about one or more <a>Stage</a> resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getStages(args: GetStagesInput): Promise<GetStagesOutput>;
    getStages(args: GetStagesInput, cb: (err: any, data?: GetStagesOutput) => void): void;
    /**
     * <p>Gets the <a>Tags</a> collection for a given resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getTags(args: GetTagsInput): Promise<GetTagsOutput>;
    getTags(args: GetTagsInput, cb: (err: any, data?: GetTagsOutput) => void): void;
    /**
     * <p>Gets the usage data of a usage plan in a specified time interval.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUsage(args: GetUsageInput): Promise<GetUsageOutput>;
    getUsage(args: GetUsageInput, cb: (err: any, data?: GetUsageOutput) => void): void;
    /**
     * <p>Gets a usage plan of a given plan identifier.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUsagePlan(args: GetUsagePlanInput): Promise<GetUsagePlanOutput>;
    getUsagePlan(args: GetUsagePlanInput, cb: (err: any, data?: GetUsagePlanOutput) => void): void;
    /**
     * <p>Gets a usage plan key of a given key identifier.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUsagePlanKey(args: GetUsagePlanKeyInput): Promise<GetUsagePlanKeyOutput>;
    getUsagePlanKey(args: GetUsagePlanKeyInput, cb: (err: any, data?: GetUsagePlanKeyOutput) => void): void;
    /**
     * <p>Gets all the usage plan keys representing the API keys added to a specified usage plan.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUsagePlanKeys(args: GetUsagePlanKeysInput): Promise<GetUsagePlanKeysOutput>;
    getUsagePlanKeys(args: GetUsagePlanKeysInput, cb: (err: any, data?: GetUsagePlanKeysOutput) => void): void;
    /**
     * <p>Gets all the usage plans of the caller's account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUsagePlans(args: GetUsagePlansInput): Promise<GetUsagePlansOutput>;
    getUsagePlans(args: GetUsagePlansInput, cb: (err: any, data?: GetUsagePlansOutput) => void): void;
    /**
     * <p>Gets a specified VPC link under the caller's account in a region.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getVpcLink(args: GetVpcLinkInput): Promise<GetVpcLinkOutput>;
    getVpcLink(args: GetVpcLinkInput, cb: (err: any, data?: GetVpcLinkOutput) => void): void;
    /**
     * <p>Gets the <a>VpcLinks</a> collection under the caller's account in a selected region.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getVpcLinks(args: GetVpcLinksInput): Promise<GetVpcLinksOutput>;
    getVpcLinks(args: GetVpcLinksInput, cb: (err: any, data?: GetVpcLinksOutput) => void): void;
    /**
     * <p>Import API keys from an external source, such as a CSV-formatted file.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    importApiKeys(args: ImportApiKeysInput): Promise<ImportApiKeysOutput>;
    importApiKeys(args: ImportApiKeysInput, cb: (err: any, data?: ImportApiKeysOutput) => void): void;
    /**
     * ImportDocumentationParts operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    importDocumentationParts(args: ImportDocumentationPartsInput): Promise<ImportDocumentationPartsOutput>;
    importDocumentationParts(args: ImportDocumentationPartsInput, cb: (err: any, data?: ImportDocumentationPartsOutput) => void): void;
    /**
     * <p>A feature of the API Gateway control service for creating a new API from an external API definition file.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    importRestApi(args: ImportRestApiInput): Promise<ImportRestApiOutput>;
    importRestApi(args: ImportRestApiInput, cb: (err: any, data?: ImportRestApiOutput) => void): void;
    /**
     * <p>Creates a customization of a <a>GatewayResponse</a> of a specified response type and status code on the given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putGatewayResponse(args: PutGatewayResponseInput): Promise<PutGatewayResponseOutput>;
    putGatewayResponse(args: PutGatewayResponseInput, cb: (err: any, data?: PutGatewayResponseOutput) => void): void;
    /**
     * <p>Sets up a method's integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putIntegration(args: PutIntegrationInput): Promise<PutIntegrationOutput>;
    putIntegration(args: PutIntegrationInput, cb: (err: any, data?: PutIntegrationOutput) => void): void;
    /**
     * <p>Represents a put integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putIntegrationResponse(args: PutIntegrationResponseInput): Promise<PutIntegrationResponseOutput>;
    putIntegrationResponse(args: PutIntegrationResponseInput, cb: (err: any, data?: PutIntegrationResponseOutput) => void): void;
    /**
     * <p>Add a method to an existing <a>Resource</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putMethod(args: PutMethodInput): Promise<PutMethodOutput>;
    putMethod(args: PutMethodInput, cb: (err: any, data?: PutMethodOutput) => void): void;
    /**
     * <p>Adds a <a>MethodResponse</a> to an existing <a>Method</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putMethodResponse(args: PutMethodResponseInput): Promise<PutMethodResponseOutput>;
    putMethodResponse(args: PutMethodResponseInput, cb: (err: any, data?: PutMethodResponseOutput) => void): void;
    /**
     * <p>A feature of the API Gateway control service for updating an existing API with an input of external API definitions. The update can take the form of merging the supplied definition into the existing API or overwriting the existing API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putRestApi(args: PutRestApiInput): Promise<PutRestApiOutput>;
    putRestApi(args: PutRestApiInput, cb: (err: any, data?: PutRestApiOutput) => void): void;
    /**
     * <p>Adds or updates a tag on a given resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    tagResource(args: TagResourceInput): Promise<TagResourceOutput>;
    tagResource(args: TagResourceInput, cb: (err: any, data?: TagResourceOutput) => void): void;
    /**
     * <p>Simulate the execution of an <a>Authorizer</a> in your <a>RestApi</a> with headers, parameters, and an incoming request body.</p> <div class="seeAlso"> <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/apigateway-use-lambda-authorizer.html">Use Lambda Function as Authorizer</a> <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/apigateway-integrate-with-cognito.html">Use Cognito User Pool as Authorizer</a> </div>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    testInvokeAuthorizer(args: TestInvokeAuthorizerInput): Promise<TestInvokeAuthorizerOutput>;
    testInvokeAuthorizer(args: TestInvokeAuthorizerInput, cb: (err: any, data?: TestInvokeAuthorizerOutput) => void): void;
    /**
     * <p>Simulate the execution of a <a>Method</a> in your <a>RestApi</a> with headers, parameters, and an incoming request body.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    testInvokeMethod(args: TestInvokeMethodInput): Promise<TestInvokeMethodOutput>;
    testInvokeMethod(args: TestInvokeMethodInput, cb: (err: any, data?: TestInvokeMethodOutput) => void): void;
    /**
     * <p>Removes a tag from a given resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    untagResource(args: UntagResourceInput): Promise<UntagResourceOutput>;
    untagResource(args: UntagResourceInput, cb: (err: any, data?: UntagResourceOutput) => void): void;
    /**
     * <p>Changes information about the current <a>Account</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateAccount(args: UpdateAccountInput): Promise<UpdateAccountOutput>;
    updateAccount(args: UpdateAccountInput, cb: (err: any, data?: UpdateAccountOutput) => void): void;
    /**
     * <p>Changes information about an <a>ApiKey</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateApiKey(args: UpdateApiKeyInput): Promise<UpdateApiKeyOutput>;
    updateApiKey(args: UpdateApiKeyInput, cb: (err: any, data?: UpdateApiKeyOutput) => void): void;
    /**
     * <p>Updates an existing <a>Authorizer</a> resource.</p> <div class="seeAlso"><a href="https://docs.aws.amazon.com/cli/latest/reference/apigateway/update-authorizer.html">AWS CLI</a></div>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateAuthorizer(args: UpdateAuthorizerInput): Promise<UpdateAuthorizerOutput>;
    updateAuthorizer(args: UpdateAuthorizerInput, cb: (err: any, data?: UpdateAuthorizerOutput) => void): void;
    /**
     * <p>Changes information about the <a>BasePathMapping</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateBasePathMapping(args: UpdateBasePathMappingInput): Promise<UpdateBasePathMappingOutput>;
    updateBasePathMapping(args: UpdateBasePathMappingInput, cb: (err: any, data?: UpdateBasePathMappingOutput) => void): void;
    /**
     * <p>Changes information about an <a>ClientCertificate</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateClientCertificate(args: UpdateClientCertificateInput): Promise<UpdateClientCertificateOutput>;
    updateClientCertificate(args: UpdateClientCertificateInput, cb: (err: any, data?: UpdateClientCertificateOutput) => void): void;
    /**
     * <p>Changes information about a <a>Deployment</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ServiceUnavailableException} <p>The requested service is not available. For details see the accompanying error message. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateDeployment(args: UpdateDeploymentInput): Promise<UpdateDeploymentOutput>;
    updateDeployment(args: UpdateDeploymentInput, cb: (err: any, data?: UpdateDeploymentOutput) => void): void;
    /**
     * UpdateDocumentationPart operation
     *
     * This operation may fail with one of the following errors:
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateDocumentationPart(args: UpdateDocumentationPartInput): Promise<UpdateDocumentationPartOutput>;
    updateDocumentationPart(args: UpdateDocumentationPartInput, cb: (err: any, data?: UpdateDocumentationPartOutput) => void): void;
    /**
     * UpdateDocumentationVersion operation
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateDocumentationVersion(args: UpdateDocumentationVersionInput): Promise<UpdateDocumentationVersionOutput>;
    updateDocumentationVersion(args: UpdateDocumentationVersionInput, cb: (err: any, data?: UpdateDocumentationVersionOutput) => void): void;
    /**
     * <p>Changes information about the <a>DomainName</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateDomainName(args: UpdateDomainNameInput): Promise<UpdateDomainNameOutput>;
    updateDomainName(args: UpdateDomainNameInput, cb: (err: any, data?: UpdateDomainNameOutput) => void): void;
    /**
     * <p>Updates a <a>GatewayResponse</a> of a specified response type on the given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateGatewayResponse(args: UpdateGatewayResponseInput): Promise<UpdateGatewayResponseOutput>;
    updateGatewayResponse(args: UpdateGatewayResponseInput, cb: (err: any, data?: UpdateGatewayResponseOutput) => void): void;
    /**
     * <p>Represents an update integration.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateIntegration(args: UpdateIntegrationInput): Promise<UpdateIntegrationOutput>;
    updateIntegration(args: UpdateIntegrationInput, cb: (err: any, data?: UpdateIntegrationOutput) => void): void;
    /**
     * <p>Represents an update integration response.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateIntegrationResponse(args: UpdateIntegrationResponseInput): Promise<UpdateIntegrationResponseOutput>;
    updateIntegrationResponse(args: UpdateIntegrationResponseInput, cb: (err: any, data?: UpdateIntegrationResponseOutput) => void): void;
    /**
     * <p>Updates an existing <a>Method</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateMethod(args: UpdateMethodInput): Promise<UpdateMethodOutput>;
    updateMethod(args: UpdateMethodInput, cb: (err: any, data?: UpdateMethodOutput) => void): void;
    /**
     * <p>Updates an existing <a>MethodResponse</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {LimitExceededException} <p>The request exceeded the rate limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateMethodResponse(args: UpdateMethodResponseInput): Promise<UpdateMethodResponseOutput>;
    updateMethodResponse(args: UpdateMethodResponseInput, cb: (err: any, data?: UpdateMethodResponseOutput) => void): void;
    /**
     * <p>Changes information about a model.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateModel(args: UpdateModelInput): Promise<UpdateModelOutput>;
    updateModel(args: UpdateModelInput, cb: (err: any, data?: UpdateModelOutput) => void): void;
    /**
     * <p>Updates a <a>RequestValidator</a> of a given <a>RestApi</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateRequestValidator(args: UpdateRequestValidatorInput): Promise<UpdateRequestValidatorOutput>;
    updateRequestValidator(args: UpdateRequestValidatorInput, cb: (err: any, data?: UpdateRequestValidatorOutput) => void): void;
    /**
     * <p>Changes information about a <a>Resource</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateResource(args: UpdateResourceInput): Promise<UpdateResourceOutput>;
    updateResource(args: UpdateResourceInput, cb: (err: any, data?: UpdateResourceOutput) => void): void;
    /**
     * <p>Changes information about the specified API.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateRestApi(args: UpdateRestApiInput): Promise<UpdateRestApiOutput>;
    updateRestApi(args: UpdateRestApiInput, cb: (err: any, data?: UpdateRestApiOutput) => void): void;
    /**
     * <p>Changes information about a <a>Stage</a> resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateStage(args: UpdateStageInput): Promise<UpdateStageOutput>;
    updateStage(args: UpdateStageInput, cb: (err: any, data?: UpdateStageOutput) => void): void;
    /**
     * <p>Grants a temporary extension to the remaining quota of a usage plan associated with a specified API key.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateUsage(args: UpdateUsageInput): Promise<UpdateUsageOutput>;
    updateUsage(args: UpdateUsageInput, cb: (err: any, data?: UpdateUsageOutput) => void): void;
    /**
     * <p>Updates a usage plan of a given plan Id.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateUsagePlan(args: UpdateUsagePlanInput): Promise<UpdateUsagePlanOutput>;
    updateUsagePlan(args: UpdateUsagePlanInput, cb: (err: any, data?: UpdateUsagePlanOutput) => void): void;
    /**
     * <p>Updates an existing <a>VpcLink</a> of a specified identifier.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedException} <p>The request is denied because the caller has insufficient permissions.</p>
     *   - {NotFoundException} <p>The requested resource is not found. Make sure that the request URI is correct.</p>
     *   - {BadRequestException} <p>The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.</p>
     *   - {ConflictException} <p>The request configuration has conflicts. For details, see the accompanying error message.</p>
     *   - {TooManyRequestsException} <p>The request has reached its throttling limit. Retry after the specified time period.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateVpcLink(args: UpdateVpcLinkInput): Promise<UpdateVpcLinkOutput>;
    updateVpcLink(args: UpdateVpcLinkInput, cb: (err: any, data?: UpdateVpcLinkOutput) => void): void;
}
