"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var APIGatewayClient_1 = require("./APIGatewayClient");
var CreateApiKeyCommand_1 = require("./commands/CreateApiKeyCommand");
var CreateAuthorizerCommand_1 = require("./commands/CreateAuthorizerCommand");
var CreateBasePathMappingCommand_1 = require("./commands/CreateBasePathMappingCommand");
var CreateDeploymentCommand_1 = require("./commands/CreateDeploymentCommand");
var CreateDocumentationPartCommand_1 = require("./commands/CreateDocumentationPartCommand");
var CreateDocumentationVersionCommand_1 = require("./commands/CreateDocumentationVersionCommand");
var CreateDomainNameCommand_1 = require("./commands/CreateDomainNameCommand");
var CreateModelCommand_1 = require("./commands/CreateModelCommand");
var CreateRequestValidatorCommand_1 = require("./commands/CreateRequestValidatorCommand");
var CreateResourceCommand_1 = require("./commands/CreateResourceCommand");
var CreateRestApiCommand_1 = require("./commands/CreateRestApiCommand");
var CreateStageCommand_1 = require("./commands/CreateStageCommand");
var CreateUsagePlanCommand_1 = require("./commands/CreateUsagePlanCommand");
var CreateUsagePlanKeyCommand_1 = require("./commands/CreateUsagePlanKeyCommand");
var CreateVpcLinkCommand_1 = require("./commands/CreateVpcLinkCommand");
var DeleteApiKeyCommand_1 = require("./commands/DeleteApiKeyCommand");
var DeleteAuthorizerCommand_1 = require("./commands/DeleteAuthorizerCommand");
var DeleteBasePathMappingCommand_1 = require("./commands/DeleteBasePathMappingCommand");
var DeleteClientCertificateCommand_1 = require("./commands/DeleteClientCertificateCommand");
var DeleteDeploymentCommand_1 = require("./commands/DeleteDeploymentCommand");
var DeleteDocumentationPartCommand_1 = require("./commands/DeleteDocumentationPartCommand");
var DeleteDocumentationVersionCommand_1 = require("./commands/DeleteDocumentationVersionCommand");
var DeleteDomainNameCommand_1 = require("./commands/DeleteDomainNameCommand");
var DeleteGatewayResponseCommand_1 = require("./commands/DeleteGatewayResponseCommand");
var DeleteIntegrationCommand_1 = require("./commands/DeleteIntegrationCommand");
var DeleteIntegrationResponseCommand_1 = require("./commands/DeleteIntegrationResponseCommand");
var DeleteMethodCommand_1 = require("./commands/DeleteMethodCommand");
var DeleteMethodResponseCommand_1 = require("./commands/DeleteMethodResponseCommand");
var DeleteModelCommand_1 = require("./commands/DeleteModelCommand");
var DeleteRequestValidatorCommand_1 = require("./commands/DeleteRequestValidatorCommand");
var DeleteResourceCommand_1 = require("./commands/DeleteResourceCommand");
var DeleteRestApiCommand_1 = require("./commands/DeleteRestApiCommand");
var DeleteStageCommand_1 = require("./commands/DeleteStageCommand");
var DeleteUsagePlanCommand_1 = require("./commands/DeleteUsagePlanCommand");
var DeleteUsagePlanKeyCommand_1 = require("./commands/DeleteUsagePlanKeyCommand");
var DeleteVpcLinkCommand_1 = require("./commands/DeleteVpcLinkCommand");
var FlushStageAuthorizersCacheCommand_1 = require("./commands/FlushStageAuthorizersCacheCommand");
var FlushStageCacheCommand_1 = require("./commands/FlushStageCacheCommand");
var GenerateClientCertificateCommand_1 = require("./commands/GenerateClientCertificateCommand");
var GetAccountCommand_1 = require("./commands/GetAccountCommand");
var GetApiKeyCommand_1 = require("./commands/GetApiKeyCommand");
var GetApiKeysCommand_1 = require("./commands/GetApiKeysCommand");
var GetAuthorizerCommand_1 = require("./commands/GetAuthorizerCommand");
var GetAuthorizersCommand_1 = require("./commands/GetAuthorizersCommand");
var GetBasePathMappingCommand_1 = require("./commands/GetBasePathMappingCommand");
var GetBasePathMappingsCommand_1 = require("./commands/GetBasePathMappingsCommand");
var GetClientCertificateCommand_1 = require("./commands/GetClientCertificateCommand");
var GetClientCertificatesCommand_1 = require("./commands/GetClientCertificatesCommand");
var GetDeploymentCommand_1 = require("./commands/GetDeploymentCommand");
var GetDeploymentsCommand_1 = require("./commands/GetDeploymentsCommand");
var GetDocumentationPartCommand_1 = require("./commands/GetDocumentationPartCommand");
var GetDocumentationPartsCommand_1 = require("./commands/GetDocumentationPartsCommand");
var GetDocumentationVersionCommand_1 = require("./commands/GetDocumentationVersionCommand");
var GetDocumentationVersionsCommand_1 = require("./commands/GetDocumentationVersionsCommand");
var GetDomainNameCommand_1 = require("./commands/GetDomainNameCommand");
var GetDomainNamesCommand_1 = require("./commands/GetDomainNamesCommand");
var GetExportCommand_1 = require("./commands/GetExportCommand");
var GetGatewayResponseCommand_1 = require("./commands/GetGatewayResponseCommand");
var GetGatewayResponsesCommand_1 = require("./commands/GetGatewayResponsesCommand");
var GetIntegrationCommand_1 = require("./commands/GetIntegrationCommand");
var GetIntegrationResponseCommand_1 = require("./commands/GetIntegrationResponseCommand");
var GetMethodCommand_1 = require("./commands/GetMethodCommand");
var GetMethodResponseCommand_1 = require("./commands/GetMethodResponseCommand");
var GetModelCommand_1 = require("./commands/GetModelCommand");
var GetModelTemplateCommand_1 = require("./commands/GetModelTemplateCommand");
var GetModelsCommand_1 = require("./commands/GetModelsCommand");
var GetRequestValidatorCommand_1 = require("./commands/GetRequestValidatorCommand");
var GetRequestValidatorsCommand_1 = require("./commands/GetRequestValidatorsCommand");
var GetResourceCommand_1 = require("./commands/GetResourceCommand");
var GetResourcesCommand_1 = require("./commands/GetResourcesCommand");
var GetRestApiCommand_1 = require("./commands/GetRestApiCommand");
var GetRestApisCommand_1 = require("./commands/GetRestApisCommand");
var GetSdkCommand_1 = require("./commands/GetSdkCommand");
var GetSdkTypeCommand_1 = require("./commands/GetSdkTypeCommand");
var GetSdkTypesCommand_1 = require("./commands/GetSdkTypesCommand");
var GetStageCommand_1 = require("./commands/GetStageCommand");
var GetStagesCommand_1 = require("./commands/GetStagesCommand");
var GetTagsCommand_1 = require("./commands/GetTagsCommand");
var GetUsageCommand_1 = require("./commands/GetUsageCommand");
var GetUsagePlanCommand_1 = require("./commands/GetUsagePlanCommand");
var GetUsagePlanKeyCommand_1 = require("./commands/GetUsagePlanKeyCommand");
var GetUsagePlanKeysCommand_1 = require("./commands/GetUsagePlanKeysCommand");
var GetUsagePlansCommand_1 = require("./commands/GetUsagePlansCommand");
var GetVpcLinkCommand_1 = require("./commands/GetVpcLinkCommand");
var GetVpcLinksCommand_1 = require("./commands/GetVpcLinksCommand");
var ImportApiKeysCommand_1 = require("./commands/ImportApiKeysCommand");
var ImportDocumentationPartsCommand_1 = require("./commands/ImportDocumentationPartsCommand");
var ImportRestApiCommand_1 = require("./commands/ImportRestApiCommand");
var PutGatewayResponseCommand_1 = require("./commands/PutGatewayResponseCommand");
var PutIntegrationCommand_1 = require("./commands/PutIntegrationCommand");
var PutIntegrationResponseCommand_1 = require("./commands/PutIntegrationResponseCommand");
var PutMethodCommand_1 = require("./commands/PutMethodCommand");
var PutMethodResponseCommand_1 = require("./commands/PutMethodResponseCommand");
var PutRestApiCommand_1 = require("./commands/PutRestApiCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var TestInvokeAuthorizerCommand_1 = require("./commands/TestInvokeAuthorizerCommand");
var TestInvokeMethodCommand_1 = require("./commands/TestInvokeMethodCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateAccountCommand_1 = require("./commands/UpdateAccountCommand");
var UpdateApiKeyCommand_1 = require("./commands/UpdateApiKeyCommand");
var UpdateAuthorizerCommand_1 = require("./commands/UpdateAuthorizerCommand");
var UpdateBasePathMappingCommand_1 = require("./commands/UpdateBasePathMappingCommand");
var UpdateClientCertificateCommand_1 = require("./commands/UpdateClientCertificateCommand");
var UpdateDeploymentCommand_1 = require("./commands/UpdateDeploymentCommand");
var UpdateDocumentationPartCommand_1 = require("./commands/UpdateDocumentationPartCommand");
var UpdateDocumentationVersionCommand_1 = require("./commands/UpdateDocumentationVersionCommand");
var UpdateDomainNameCommand_1 = require("./commands/UpdateDomainNameCommand");
var UpdateGatewayResponseCommand_1 = require("./commands/UpdateGatewayResponseCommand");
var UpdateIntegrationCommand_1 = require("./commands/UpdateIntegrationCommand");
var UpdateIntegrationResponseCommand_1 = require("./commands/UpdateIntegrationResponseCommand");
var UpdateMethodCommand_1 = require("./commands/UpdateMethodCommand");
var UpdateMethodResponseCommand_1 = require("./commands/UpdateMethodResponseCommand");
var UpdateModelCommand_1 = require("./commands/UpdateModelCommand");
var UpdateRequestValidatorCommand_1 = require("./commands/UpdateRequestValidatorCommand");
var UpdateResourceCommand_1 = require("./commands/UpdateResourceCommand");
var UpdateRestApiCommand_1 = require("./commands/UpdateRestApiCommand");
var UpdateStageCommand_1 = require("./commands/UpdateStageCommand");
var UpdateUsageCommand_1 = require("./commands/UpdateUsageCommand");
var UpdateUsagePlanCommand_1 = require("./commands/UpdateUsagePlanCommand");
var UpdateVpcLinkCommand_1 = require("./commands/UpdateVpcLinkCommand");
var APIGateway = /** @class */ (function (_super) {
    tslib_1.__extends(APIGateway, _super);
    function APIGateway() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    APIGateway.prototype.createApiKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateApiKeyCommand_1.CreateApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAuthorizerCommand_1.CreateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createBasePathMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateBasePathMappingCommand_1.CreateBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDeploymentCommand_1.CreateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createDocumentationPart = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDocumentationPartCommand_1.CreateDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createDocumentationVersion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDocumentationVersionCommand_1.CreateDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDomainNameCommand_1.CreateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateModelCommand_1.CreateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createRequestValidator = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRequestValidatorCommand_1.CreateRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateResourceCommand_1.CreateResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createRestApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRestApiCommand_1.CreateRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateStageCommand_1.CreateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createUsagePlan = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateUsagePlanCommand_1.CreateUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createUsagePlanKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateUsagePlanKeyCommand_1.CreateUsagePlanKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.createVpcLink = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateVpcLinkCommand_1.CreateVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteApiKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteApiKeyCommand_1.DeleteApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAuthorizerCommand_1.DeleteAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteBasePathMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteBasePathMappingCommand_1.DeleteBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteClientCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteClientCertificateCommand_1.DeleteClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDeploymentCommand_1.DeleteDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteDocumentationPart = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDocumentationPartCommand_1.DeleteDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteDocumentationVersion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDocumentationVersionCommand_1.DeleteDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDomainNameCommand_1.DeleteDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteGatewayResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteGatewayResponseCommand_1.DeleteGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteIntegrationCommand_1.DeleteIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteIntegrationResponseCommand_1.DeleteIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteMethod = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteMethodCommand_1.DeleteMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteMethodResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteMethodResponseCommand_1.DeleteMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteModelCommand_1.DeleteModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteRequestValidator = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRequestValidatorCommand_1.DeleteRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteResourceCommand_1.DeleteResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteRestApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRestApiCommand_1.DeleteRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteStageCommand_1.DeleteStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteUsagePlan = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteUsagePlanCommand_1.DeleteUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteUsagePlanKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteUsagePlanKeyCommand_1.DeleteUsagePlanKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.deleteVpcLink = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteVpcLinkCommand_1.DeleteVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.flushStageAuthorizersCache = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new FlushStageAuthorizersCacheCommand_1.FlushStageAuthorizersCacheCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.flushStageCache = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new FlushStageCacheCommand_1.FlushStageCacheCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.generateClientCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GenerateClientCertificateCommand_1.GenerateClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getAccount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAccountCommand_1.GetAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getApiKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApiKeyCommand_1.GetApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getApiKeys = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApiKeysCommand_1.GetApiKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAuthorizerCommand_1.GetAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getAuthorizers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAuthorizersCommand_1.GetAuthorizersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getBasePathMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBasePathMappingCommand_1.GetBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getBasePathMappings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBasePathMappingsCommand_1.GetBasePathMappingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getClientCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetClientCertificateCommand_1.GetClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getClientCertificates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetClientCertificatesCommand_1.GetClientCertificatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentCommand_1.GetDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDeployments = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentsCommand_1.GetDeploymentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDocumentationPart = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDocumentationPartCommand_1.GetDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDocumentationParts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDocumentationPartsCommand_1.GetDocumentationPartsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDocumentationVersion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDocumentationVersionCommand_1.GetDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDocumentationVersions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDocumentationVersionsCommand_1.GetDocumentationVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDomainNameCommand_1.GetDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getDomainNames = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDomainNamesCommand_1.GetDomainNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getExport = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetExportCommand_1.GetExportCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getGatewayResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetGatewayResponseCommand_1.GetGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getGatewayResponses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetGatewayResponsesCommand_1.GetGatewayResponsesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIntegrationCommand_1.GetIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIntegrationResponseCommand_1.GetIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getMethod = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMethodCommand_1.GetMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getMethodResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMethodResponseCommand_1.GetMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetModelCommand_1.GetModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getModelTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetModelTemplateCommand_1.GetModelTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getModels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetModelsCommand_1.GetModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getRequestValidator = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRequestValidatorCommand_1.GetRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getRequestValidators = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRequestValidatorsCommand_1.GetRequestValidatorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResourceCommand_1.GetResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getResources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResourcesCommand_1.GetResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getRestApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRestApiCommand_1.GetRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getRestApis = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRestApisCommand_1.GetRestApisCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getSdk = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSdkCommand_1.GetSdkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getSdkType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSdkTypeCommand_1.GetSdkTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getSdkTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSdkTypesCommand_1.GetSdkTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetStageCommand_1.GetStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getStages = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetStagesCommand_1.GetStagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetTagsCommand_1.GetTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getUsage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUsageCommand_1.GetUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getUsagePlan = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUsagePlanCommand_1.GetUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getUsagePlanKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUsagePlanKeyCommand_1.GetUsagePlanKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getUsagePlanKeys = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUsagePlanKeysCommand_1.GetUsagePlanKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getUsagePlans = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUsagePlansCommand_1.GetUsagePlansCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getVpcLink = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetVpcLinkCommand_1.GetVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.getVpcLinks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetVpcLinksCommand_1.GetVpcLinksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.importApiKeys = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportApiKeysCommand_1.ImportApiKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.importDocumentationParts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportDocumentationPartsCommand_1.ImportDocumentationPartsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.importRestApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportRestApiCommand_1.ImportRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.putGatewayResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutGatewayResponseCommand_1.PutGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.putIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutIntegrationCommand_1.PutIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.putIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutIntegrationResponseCommand_1.PutIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.putMethod = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutMethodCommand_1.PutMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.putMethodResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutMethodResponseCommand_1.PutMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.putRestApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutRestApiCommand_1.PutRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.testInvokeAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestInvokeAuthorizerCommand_1.TestInvokeAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.testInvokeMethod = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestInvokeMethodCommand_1.TestInvokeMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateAccount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAccountCommand_1.UpdateAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateApiKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateApiKeyCommand_1.UpdateApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAuthorizerCommand_1.UpdateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateBasePathMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateBasePathMappingCommand_1.UpdateBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateClientCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateClientCertificateCommand_1.UpdateClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDeploymentCommand_1.UpdateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateDocumentationPart = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDocumentationPartCommand_1.UpdateDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateDocumentationVersion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDocumentationVersionCommand_1.UpdateDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDomainNameCommand_1.UpdateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateGatewayResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateGatewayResponseCommand_1.UpdateGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateIntegrationCommand_1.UpdateIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateIntegrationResponseCommand_1.UpdateIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateMethod = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateMethodCommand_1.UpdateMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateMethodResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateMethodResponseCommand_1.UpdateMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateModelCommand_1.UpdateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateRequestValidator = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRequestValidatorCommand_1.UpdateRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateResourceCommand_1.UpdateResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateRestApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRestApiCommand_1.UpdateRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateStageCommand_1.UpdateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateUsage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateUsageCommand_1.UpdateUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateUsagePlan = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateUsagePlanCommand_1.UpdateUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    APIGateway.prototype.updateVpcLink = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateVpcLinkCommand_1.UpdateVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return APIGateway;
}(APIGatewayClient_1.APIGatewayClient));
exports.APIGateway = APIGateway;
//# sourceMappingURL=APIGateway.js.map