"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateApiKey_1 = require("../model/operations/CreateApiKey");
var CreateApiKeyCommand = /** @class */ (function () {
    function CreateApiKeyCommand(input) {
        this.input = input;
        this.model = CreateApiKey_1.CreateApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateApiKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateApiKeyCommand;
}());
exports.CreateApiKeyCommand = CreateApiKeyCommand;
//# sourceMappingURL=CreateApiKeyCommand.js.map