"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateAuthorizer_1 = require("../model/operations/CreateAuthorizer");
var CreateAuthorizerCommand = /** @class */ (function () {
    function CreateAuthorizerCommand(input) {
        this.input = input;
        this.model = CreateAuthorizer_1.CreateAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateAuthorizerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateAuthorizerCommand;
}());
exports.CreateAuthorizerCommand = CreateAuthorizerCommand;
//# sourceMappingURL=CreateAuthorizerCommand.js.map