"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateBasePathMapping_1 = require("../model/operations/CreateBasePathMapping");
var CreateBasePathMappingCommand = /** @class */ (function () {
    function CreateBasePathMappingCommand(input) {
        this.input = input;
        this.model = CreateBasePathMapping_1.CreateBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateBasePathMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateBasePathMappingCommand;
}());
exports.CreateBasePathMappingCommand = CreateBasePathMappingCommand;
//# sourceMappingURL=CreateBasePathMappingCommand.js.map