"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateRequestValidator_1 = require("../model/operations/CreateRequestValidator");
var CreateRequestValidatorCommand = /** @class */ (function () {
    function CreateRequestValidatorCommand(input) {
        this.input = input;
        this.model = CreateRequestValidator_1.CreateRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateRequestValidatorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateRequestValidatorCommand;
}());
exports.CreateRequestValidatorCommand = CreateRequestValidatorCommand;
//# sourceMappingURL=CreateRequestValidatorCommand.js.map