"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateResource_1 = require("../model/operations/CreateResource");
var CreateResourceCommand = /** @class */ (function () {
    function CreateResourceCommand(input) {
        this.input = input;
        this.model = CreateResource_1.CreateResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateResourceCommand;
}());
exports.CreateResourceCommand = CreateResourceCommand;
//# sourceMappingURL=CreateResourceCommand.js.map