"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateRestApi_1 = require("../model/operations/CreateRestApi");
var CreateRestApiCommand = /** @class */ (function () {
    function CreateRestApiCommand(input) {
        this.input = input;
        this.model = CreateRestApi_1.CreateRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateRestApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateRestApiCommand;
}());
exports.CreateRestApiCommand = CreateRestApiCommand;
//# sourceMappingURL=CreateRestApiCommand.js.map