"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateStage_1 = require("../model/operations/CreateStage");
var CreateStageCommand = /** @class */ (function () {
    function CreateStageCommand(input) {
        this.input = input;
        this.model = CreateStage_1.CreateStage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateStageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateStageCommand;
}());
exports.CreateStageCommand = CreateStageCommand;
//# sourceMappingURL=CreateStageCommand.js.map