"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateVpcLink_1 = require("../model/operations/CreateVpcLink");
var CreateVpcLinkCommand = /** @class */ (function () {
    function CreateVpcLinkCommand(input) {
        this.input = input;
        this.model = CreateVpcLink_1.CreateVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateVpcLinkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateVpcLinkCommand;
}());
exports.CreateVpcLinkCommand = CreateVpcLinkCommand;
//# sourceMappingURL=CreateVpcLinkCommand.js.map