"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteApiKey_1 = require("../model/operations/DeleteApiKey");
var DeleteApiKeyCommand = /** @class */ (function () {
    function DeleteApiKeyCommand(input) {
        this.input = input;
        this.model = DeleteApiKey_1.DeleteApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteApiKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteApiKeyCommand;
}());
exports.DeleteApiKeyCommand = DeleteApiKeyCommand;
//# sourceMappingURL=DeleteApiKeyCommand.js.map