"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteAuthorizer_1 = require("../model/operations/DeleteAuthorizer");
var DeleteAuthorizerCommand = /** @class */ (function () {
    function DeleteAuthorizerCommand(input) {
        this.input = input;
        this.model = DeleteAuthorizer_1.DeleteAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteAuthorizerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteAuthorizerCommand;
}());
exports.DeleteAuthorizerCommand = DeleteAuthorizerCommand;
//# sourceMappingURL=DeleteAuthorizerCommand.js.map