"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteBasePathMapping_1 = require("../model/operations/DeleteBasePathMapping");
var DeleteBasePathMappingCommand = /** @class */ (function () {
    function DeleteBasePathMappingCommand(input) {
        this.input = input;
        this.model = DeleteBasePathMapping_1.DeleteBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteBasePathMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteBasePathMappingCommand;
}());
exports.DeleteBasePathMappingCommand = DeleteBasePathMappingCommand;
//# sourceMappingURL=DeleteBasePathMappingCommand.js.map