"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteClientCertificate_1 = require("../model/operations/DeleteClientCertificate");
var DeleteClientCertificateCommand = /** @class */ (function () {
    function DeleteClientCertificateCommand(input) {
        this.input = input;
        this.model = DeleteClientCertificate_1.DeleteClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteClientCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteClientCertificateCommand;
}());
exports.DeleteClientCertificateCommand = DeleteClientCertificateCommand;
//# sourceMappingURL=DeleteClientCertificateCommand.js.map