"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDeployment_1 = require("../model/operations/DeleteDeployment");
var DeleteDeploymentCommand = /** @class */ (function () {
    function DeleteDeploymentCommand(input) {
        this.input = input;
        this.model = DeleteDeployment_1.DeleteDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDeploymentCommand;
}());
exports.DeleteDeploymentCommand = DeleteDeploymentCommand;
//# sourceMappingURL=DeleteDeploymentCommand.js.map