"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteIntegration_1 = require("../model/operations/DeleteIntegration");
var DeleteIntegrationCommand = /** @class */ (function () {
    function DeleteIntegrationCommand(input) {
        this.input = input;
        this.model = DeleteIntegration_1.DeleteIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteIntegrationCommand;
}());
exports.DeleteIntegrationCommand = DeleteIntegrationCommand;
//# sourceMappingURL=DeleteIntegrationCommand.js.map