"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteIntegrationResponse_1 = require("../model/operations/DeleteIntegrationResponse");
var DeleteIntegrationResponseCommand = /** @class */ (function () {
    function DeleteIntegrationResponseCommand(input) {
        this.input = input;
        this.model = DeleteIntegrationResponse_1.DeleteIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteIntegrationResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteIntegrationResponseCommand;
}());
exports.DeleteIntegrationResponseCommand = DeleteIntegrationResponseCommand;
//# sourceMappingURL=DeleteIntegrationResponseCommand.js.map