"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteMethod_1 = require("../model/operations/DeleteMethod");
var DeleteMethodCommand = /** @class */ (function () {
    function DeleteMethodCommand(input) {
        this.input = input;
        this.model = DeleteMethod_1.DeleteMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteMethodCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteMethodCommand;
}());
exports.DeleteMethodCommand = DeleteMethodCommand;
//# sourceMappingURL=DeleteMethodCommand.js.map