"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteMethodResponse_1 = require("../model/operations/DeleteMethodResponse");
var DeleteMethodResponseCommand = /** @class */ (function () {
    function DeleteMethodResponseCommand(input) {
        this.input = input;
        this.model = DeleteMethodResponse_1.DeleteMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteMethodResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteMethodResponseCommand;
}());
exports.DeleteMethodResponseCommand = DeleteMethodResponseCommand;
//# sourceMappingURL=DeleteMethodResponseCommand.js.map