"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRequestValidator_1 = require("../model/operations/DeleteRequestValidator");
var DeleteRequestValidatorCommand = /** @class */ (function () {
    function DeleteRequestValidatorCommand(input) {
        this.input = input;
        this.model = DeleteRequestValidator_1.DeleteRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRequestValidatorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRequestValidatorCommand;
}());
exports.DeleteRequestValidatorCommand = DeleteRequestValidatorCommand;
//# sourceMappingURL=DeleteRequestValidatorCommand.js.map