"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRestApi_1 = require("../model/operations/DeleteRestApi");
var DeleteRestApiCommand = /** @class */ (function () {
    function DeleteRestApiCommand(input) {
        this.input = input;
        this.model = DeleteRestApi_1.DeleteRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRestApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRestApiCommand;
}());
exports.DeleteRestApiCommand = DeleteRestApiCommand;
//# sourceMappingURL=DeleteRestApiCommand.js.map