"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteStage_1 = require("../model/operations/DeleteStage");
var DeleteStageCommand = /** @class */ (function () {
    function DeleteStageCommand(input) {
        this.input = input;
        this.model = DeleteStage_1.DeleteStage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteStageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteStageCommand;
}());
exports.DeleteStageCommand = DeleteStageCommand;
//# sourceMappingURL=DeleteStageCommand.js.map