"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteVpcLink_1 = require("../model/operations/DeleteVpcLink");
var DeleteVpcLinkCommand = /** @class */ (function () {
    function DeleteVpcLinkCommand(input) {
        this.input = input;
        this.model = DeleteVpcLink_1.DeleteVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteVpcLinkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteVpcLinkCommand;
}());
exports.DeleteVpcLinkCommand = DeleteVpcLinkCommand;
//# sourceMappingURL=DeleteVpcLinkCommand.js.map