"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var FlushStageAuthorizersCache_1 = require("../model/operations/FlushStageAuthorizersCache");
var FlushStageAuthorizersCacheCommand = /** @class */ (function () {
    function FlushStageAuthorizersCacheCommand(input) {
        this.input = input;
        this.model = FlushStageAuthorizersCache_1.FlushStageAuthorizersCache;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    FlushStageAuthorizersCacheCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return FlushStageAuthorizersCacheCommand;
}());
exports.FlushStageAuthorizersCacheCommand = FlushStageAuthorizersCacheCommand;
//# sourceMappingURL=FlushStageAuthorizersCacheCommand.js.map