"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var FlushStageCache_1 = require("../model/operations/FlushStageCache");
var FlushStageCacheCommand = /** @class */ (function () {
    function FlushStageCacheCommand(input) {
        this.input = input;
        this.model = FlushStageCache_1.FlushStageCache;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    FlushStageCacheCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return FlushStageCacheCommand;
}());
exports.FlushStageCacheCommand = FlushStageCacheCommand;
//# sourceMappingURL=FlushStageCacheCommand.js.map