"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GenerateClientCertificate_1 = require("../model/operations/GenerateClientCertificate");
var GenerateClientCertificateCommand = /** @class */ (function () {
    function GenerateClientCertificateCommand(input) {
        this.input = input;
        this.model = GenerateClientCertificate_1.GenerateClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GenerateClientCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GenerateClientCertificateCommand;
}());
exports.GenerateClientCertificateCommand = GenerateClientCertificateCommand;
//# sourceMappingURL=GenerateClientCertificateCommand.js.map