"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAccount_1 = require("../model/operations/GetAccount");
var GetAccountCommand = /** @class */ (function () {
    function GetAccountCommand(input) {
        this.input = input;
        this.model = GetAccount_1.GetAccount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAccountCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAccountCommand;
}());
exports.GetAccountCommand = GetAccountCommand;
//# sourceMappingURL=GetAccountCommand.js.map