"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApiKey_1 = require("../model/operations/GetApiKey");
var GetApiKeyCommand = /** @class */ (function () {
    function GetApiKeyCommand(input) {
        this.input = input;
        this.model = GetApiKey_1.GetApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApiKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApiKeyCommand;
}());
exports.GetApiKeyCommand = GetApiKeyCommand;
//# sourceMappingURL=GetApiKeyCommand.js.map