"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApiKeys_1 = require("../model/operations/GetApiKeys");
var GetApiKeysCommand = /** @class */ (function () {
    function GetApiKeysCommand(input) {
        this.input = input;
        this.model = GetApiKeys_1.GetApiKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApiKeysCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApiKeysCommand;
}());
exports.GetApiKeysCommand = GetApiKeysCommand;
//# sourceMappingURL=GetApiKeysCommand.js.map