"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAuthorizer_1 = require("../model/operations/GetAuthorizer");
var GetAuthorizerCommand = /** @class */ (function () {
    function GetAuthorizerCommand(input) {
        this.input = input;
        this.model = GetAuthorizer_1.GetAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAuthorizerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAuthorizerCommand;
}());
exports.GetAuthorizerCommand = GetAuthorizerCommand;
//# sourceMappingURL=GetAuthorizerCommand.js.map