"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAuthorizers_1 = require("../model/operations/GetAuthorizers");
var GetAuthorizersCommand = /** @class */ (function () {
    function GetAuthorizersCommand(input) {
        this.input = input;
        this.model = GetAuthorizers_1.GetAuthorizers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAuthorizersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAuthorizersCommand;
}());
exports.GetAuthorizersCommand = GetAuthorizersCommand;
//# sourceMappingURL=GetAuthorizersCommand.js.map