"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBasePathMapping_1 = require("../model/operations/GetBasePathMapping");
var GetBasePathMappingCommand = /** @class */ (function () {
    function GetBasePathMappingCommand(input) {
        this.input = input;
        this.model = GetBasePathMapping_1.GetBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBasePathMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBasePathMappingCommand;
}());
exports.GetBasePathMappingCommand = GetBasePathMappingCommand;
//# sourceMappingURL=GetBasePathMappingCommand.js.map