"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetClientCertificate_1 = require("../model/operations/GetClientCertificate");
var GetClientCertificateCommand = /** @class */ (function () {
    function GetClientCertificateCommand(input) {
        this.input = input;
        this.model = GetClientCertificate_1.GetClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetClientCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetClientCertificateCommand;
}());
exports.GetClientCertificateCommand = GetClientCertificateCommand;
//# sourceMappingURL=GetClientCertificateCommand.js.map