"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDeployments_1 = require("../model/operations/GetDeployments");
var GetDeploymentsCommand = /** @class */ (function () {
    function GetDeploymentsCommand(input) {
        this.input = input;
        this.model = GetDeployments_1.GetDeployments;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDeploymentsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDeploymentsCommand;
}());
exports.GetDeploymentsCommand = GetDeploymentsCommand;
//# sourceMappingURL=GetDeploymentsCommand.js.map