"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetExport_1 = require("../model/operations/GetExport");
var GetExportCommand = /** @class */ (function () {
    function GetExportCommand(input) {
        this.input = input;
        this.model = GetExport_1.GetExport;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetExportCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetExportCommand;
}());
exports.GetExportCommand = GetExportCommand;
//# sourceMappingURL=GetExportCommand.js.map