"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetGatewayResponse_1 = require("../model/operations/GetGatewayResponse");
var GetGatewayResponseCommand = /** @class */ (function () {
    function GetGatewayResponseCommand(input) {
        this.input = input;
        this.model = GetGatewayResponse_1.GetGatewayResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetGatewayResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetGatewayResponseCommand;
}());
exports.GetGatewayResponseCommand = GetGatewayResponseCommand;
//# sourceMappingURL=GetGatewayResponseCommand.js.map