"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetGatewayResponses_1 = require("../model/operations/GetGatewayResponses");
var GetGatewayResponsesCommand = /** @class */ (function () {
    function GetGatewayResponsesCommand(input) {
        this.input = input;
        this.model = GetGatewayResponses_1.GetGatewayResponses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetGatewayResponsesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetGatewayResponsesCommand;
}());
exports.GetGatewayResponsesCommand = GetGatewayResponsesCommand;
//# sourceMappingURL=GetGatewayResponsesCommand.js.map