"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIntegration_1 = require("../model/operations/GetIntegration");
var GetIntegrationCommand = /** @class */ (function () {
    function GetIntegrationCommand(input) {
        this.input = input;
        this.model = GetIntegration_1.GetIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIntegrationCommand;
}());
exports.GetIntegrationCommand = GetIntegrationCommand;
//# sourceMappingURL=GetIntegrationCommand.js.map