"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIntegrationResponse_1 = require("../model/operations/GetIntegrationResponse");
var GetIntegrationResponseCommand = /** @class */ (function () {
    function GetIntegrationResponseCommand(input) {
        this.input = input;
        this.model = GetIntegrationResponse_1.GetIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIntegrationResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIntegrationResponseCommand;
}());
exports.GetIntegrationResponseCommand = GetIntegrationResponseCommand;
//# sourceMappingURL=GetIntegrationResponseCommand.js.map