"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMethod_1 = require("../model/operations/GetMethod");
var GetMethodCommand = /** @class */ (function () {
    function GetMethodCommand(input) {
        this.input = input;
        this.model = GetMethod_1.GetMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMethodCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMethodCommand;
}());
exports.GetMethodCommand = GetMethodCommand;
//# sourceMappingURL=GetMethodCommand.js.map