"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMethodResponse_1 = require("../model/operations/GetMethodResponse");
var GetMethodResponseCommand = /** @class */ (function () {
    function GetMethodResponseCommand(input) {
        this.input = input;
        this.model = GetMethodResponse_1.GetMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMethodResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMethodResponseCommand;
}());
exports.GetMethodResponseCommand = GetMethodResponseCommand;
//# sourceMappingURL=GetMethodResponseCommand.js.map