import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetModelInput } from "../types/GetModelInput";
import { GetModelOutput } from "../types/GetModelOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetModelInput";
export * from "../types/GetModelOutput";
export * from "../types/GetModelExceptionsUnion";
export declare class GetModelCommand implements __aws_sdk_types.Command<InputTypesUnion, GetModelInput, OutputTypesUnion, GetModelOutput, APIGatewayResolvedConfiguration, Blob> {
    readonly input: GetModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetModelInput, GetModelOutput, Blob>;
    constructor(input: GetModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetModelInput, GetModelOutput>;
}
