"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetModel_1 = require("../model/operations/GetModel");
var GetModelCommand = /** @class */ (function () {
    function GetModelCommand(input) {
        this.input = input;
        this.model = GetModel_1.GetModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetModelCommand;
}());
exports.GetModelCommand = GetModelCommand;
//# sourceMappingURL=GetModelCommand.js.map