"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetModelTemplate_1 = require("../model/operations/GetModelTemplate");
var GetModelTemplateCommand = /** @class */ (function () {
    function GetModelTemplateCommand(input) {
        this.input = input;
        this.model = GetModelTemplate_1.GetModelTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetModelTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetModelTemplateCommand;
}());
exports.GetModelTemplateCommand = GetModelTemplateCommand;
//# sourceMappingURL=GetModelTemplateCommand.js.map