"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetModels_1 = require("../model/operations/GetModels");
var GetModelsCommand = /** @class */ (function () {
    function GetModelsCommand(input) {
        this.input = input;
        this.model = GetModels_1.GetModels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetModelsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetModelsCommand;
}());
exports.GetModelsCommand = GetModelsCommand;
//# sourceMappingURL=GetModelsCommand.js.map