"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRequestValidator_1 = require("../model/operations/GetRequestValidator");
var GetRequestValidatorCommand = /** @class */ (function () {
    function GetRequestValidatorCommand(input) {
        this.input = input;
        this.model = GetRequestValidator_1.GetRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRequestValidatorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRequestValidatorCommand;
}());
exports.GetRequestValidatorCommand = GetRequestValidatorCommand;
//# sourceMappingURL=GetRequestValidatorCommand.js.map