"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRequestValidators_1 = require("../model/operations/GetRequestValidators");
var GetRequestValidatorsCommand = /** @class */ (function () {
    function GetRequestValidatorsCommand(input) {
        this.input = input;
        this.model = GetRequestValidators_1.GetRequestValidators;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRequestValidatorsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRequestValidatorsCommand;
}());
exports.GetRequestValidatorsCommand = GetRequestValidatorsCommand;
//# sourceMappingURL=GetRequestValidatorsCommand.js.map