"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRestApis_1 = require("../model/operations/GetRestApis");
var GetRestApisCommand = /** @class */ (function () {
    function GetRestApisCommand(input) {
        this.input = input;
        this.model = GetRestApis_1.GetRestApis;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRestApisCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRestApisCommand;
}());
exports.GetRestApisCommand = GetRestApisCommand;
//# sourceMappingURL=GetRestApisCommand.js.map