"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSdk_1 = require("../model/operations/GetSdk");
var GetSdkCommand = /** @class */ (function () {
    function GetSdkCommand(input) {
        this.input = input;
        this.model = GetSdk_1.GetSdk;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSdkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSdkCommand;
}());
exports.GetSdkCommand = GetSdkCommand;
//# sourceMappingURL=GetSdkCommand.js.map