"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSdkType_1 = require("../model/operations/GetSdkType");
var GetSdkTypeCommand = /** @class */ (function () {
    function GetSdkTypeCommand(input) {
        this.input = input;
        this.model = GetSdkType_1.GetSdkType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSdkTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSdkTypeCommand;
}());
exports.GetSdkTypeCommand = GetSdkTypeCommand;
//# sourceMappingURL=GetSdkTypeCommand.js.map