"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetTags_1 = require("../model/operations/GetTags");
var GetTagsCommand = /** @class */ (function () {
    function GetTagsCommand(input) {
        this.input = input;
        this.model = GetTags_1.GetTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetTagsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetTagsCommand;
}());
exports.GetTagsCommand = GetTagsCommand;
//# sourceMappingURL=GetTagsCommand.js.map