"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUsage_1 = require("../model/operations/GetUsage");
var GetUsageCommand = /** @class */ (function () {
    function GetUsageCommand(input) {
        this.input = input;
        this.model = GetUsage_1.GetUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUsageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUsageCommand;
}());
exports.GetUsageCommand = GetUsageCommand;
//# sourceMappingURL=GetUsageCommand.js.map