"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetVpcLink_1 = require("../model/operations/GetVpcLink");
var GetVpcLinkCommand = /** @class */ (function () {
    function GetVpcLinkCommand(input) {
        this.input = input;
        this.model = GetVpcLink_1.GetVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetVpcLinkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetVpcLinkCommand;
}());
exports.GetVpcLinkCommand = GetVpcLinkCommand;
//# sourceMappingURL=GetVpcLinkCommand.js.map