"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetVpcLinks_1 = require("../model/operations/GetVpcLinks");
var GetVpcLinksCommand = /** @class */ (function () {
    function GetVpcLinksCommand(input) {
        this.input = input;
        this.model = GetVpcLinks_1.GetVpcLinks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetVpcLinksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetVpcLinksCommand;
}());
exports.GetVpcLinksCommand = GetVpcLinksCommand;
//# sourceMappingURL=GetVpcLinksCommand.js.map