"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ImportApiKeys_1 = require("../model/operations/ImportApiKeys");
var ImportApiKeysCommand = /** @class */ (function () {
    function ImportApiKeysCommand(input) {
        this.input = input;
        this.model = ImportApiKeys_1.ImportApiKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ImportApiKeysCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ImportApiKeysCommand;
}());
exports.ImportApiKeysCommand = ImportApiKeysCommand;
//# sourceMappingURL=ImportApiKeysCommand.js.map