"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ImportDocumentationParts_1 = require("../model/operations/ImportDocumentationParts");
var ImportDocumentationPartsCommand = /** @class */ (function () {
    function ImportDocumentationPartsCommand(input) {
        this.input = input;
        this.model = ImportDocumentationParts_1.ImportDocumentationParts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ImportDocumentationPartsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ImportDocumentationPartsCommand;
}());
exports.ImportDocumentationPartsCommand = ImportDocumentationPartsCommand;
//# sourceMappingURL=ImportDocumentationPartsCommand.js.map