"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ImportRestApi_1 = require("../model/operations/ImportRestApi");
var ImportRestApiCommand = /** @class */ (function () {
    function ImportRestApiCommand(input) {
        this.input = input;
        this.model = ImportRestApi_1.ImportRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ImportRestApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ImportRestApiCommand;
}());
exports.ImportRestApiCommand = ImportRestApiCommand;
//# sourceMappingURL=ImportRestApiCommand.js.map