"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutGatewayResponse_1 = require("../model/operations/PutGatewayResponse");
var PutGatewayResponseCommand = /** @class */ (function () {
    function PutGatewayResponseCommand(input) {
        this.input = input;
        this.model = PutGatewayResponse_1.PutGatewayResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutGatewayResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutGatewayResponseCommand;
}());
exports.PutGatewayResponseCommand = PutGatewayResponseCommand;
//# sourceMappingURL=PutGatewayResponseCommand.js.map