"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutIntegration_1 = require("../model/operations/PutIntegration");
var PutIntegrationCommand = /** @class */ (function () {
    function PutIntegrationCommand(input) {
        this.input = input;
        this.model = PutIntegration_1.PutIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutIntegrationCommand;
}());
exports.PutIntegrationCommand = PutIntegrationCommand;
//# sourceMappingURL=PutIntegrationCommand.js.map