"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutIntegrationResponse_1 = require("../model/operations/PutIntegrationResponse");
var PutIntegrationResponseCommand = /** @class */ (function () {
    function PutIntegrationResponseCommand(input) {
        this.input = input;
        this.model = PutIntegrationResponse_1.PutIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutIntegrationResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutIntegrationResponseCommand;
}());
exports.PutIntegrationResponseCommand = PutIntegrationResponseCommand;
//# sourceMappingURL=PutIntegrationResponseCommand.js.map