"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutMethod_1 = require("../model/operations/PutMethod");
var PutMethodCommand = /** @class */ (function () {
    function PutMethodCommand(input) {
        this.input = input;
        this.model = PutMethod_1.PutMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutMethodCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutMethodCommand;
}());
exports.PutMethodCommand = PutMethodCommand;
//# sourceMappingURL=PutMethodCommand.js.map