"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutMethodResponse_1 = require("../model/operations/PutMethodResponse");
var PutMethodResponseCommand = /** @class */ (function () {
    function PutMethodResponseCommand(input) {
        this.input = input;
        this.model = PutMethodResponse_1.PutMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutMethodResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutMethodResponseCommand;
}());
exports.PutMethodResponseCommand = PutMethodResponseCommand;
//# sourceMappingURL=PutMethodResponseCommand.js.map