"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutRestApi_1 = require("../model/operations/PutRestApi");
var PutRestApiCommand = /** @class */ (function () {
    function PutRestApiCommand(input) {
        this.input = input;
        this.model = PutRestApi_1.PutRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutRestApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutRestApiCommand;
}());
exports.PutRestApiCommand = PutRestApiCommand;
//# sourceMappingURL=PutRestApiCommand.js.map