"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestInvokeAuthorizer_1 = require("../model/operations/TestInvokeAuthorizer");
var TestInvokeAuthorizerCommand = /** @class */ (function () {
    function TestInvokeAuthorizerCommand(input) {
        this.input = input;
        this.model = TestInvokeAuthorizer_1.TestInvokeAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestInvokeAuthorizerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestInvokeAuthorizerCommand;
}());
exports.TestInvokeAuthorizerCommand = TestInvokeAuthorizerCommand;
//# sourceMappingURL=TestInvokeAuthorizerCommand.js.map