"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestInvokeMethod_1 = require("../model/operations/TestInvokeMethod");
var TestInvokeMethodCommand = /** @class */ (function () {
    function TestInvokeMethodCommand(input) {
        this.input = input;
        this.model = TestInvokeMethod_1.TestInvokeMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestInvokeMethodCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestInvokeMethodCommand;
}());
exports.TestInvokeMethodCommand = TestInvokeMethodCommand;
//# sourceMappingURL=TestInvokeMethodCommand.js.map