"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateAccount_1 = require("../model/operations/UpdateAccount");
var UpdateAccountCommand = /** @class */ (function () {
    function UpdateAccountCommand(input) {
        this.input = input;
        this.model = UpdateAccount_1.UpdateAccount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateAccountCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateAccountCommand;
}());
exports.UpdateAccountCommand = UpdateAccountCommand;
//# sourceMappingURL=UpdateAccountCommand.js.map