"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateApiKey_1 = require("../model/operations/UpdateApiKey");
var UpdateApiKeyCommand = /** @class */ (function () {
    function UpdateApiKeyCommand(input) {
        this.input = input;
        this.model = UpdateApiKey_1.UpdateApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateApiKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateApiKeyCommand;
}());
exports.UpdateApiKeyCommand = UpdateApiKeyCommand;
//# sourceMappingURL=UpdateApiKeyCommand.js.map