"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateAuthorizer_1 = require("../model/operations/UpdateAuthorizer");
var UpdateAuthorizerCommand = /** @class */ (function () {
    function UpdateAuthorizerCommand(input) {
        this.input = input;
        this.model = UpdateAuthorizer_1.UpdateAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateAuthorizerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateAuthorizerCommand;
}());
exports.UpdateAuthorizerCommand = UpdateAuthorizerCommand;
//# sourceMappingURL=UpdateAuthorizerCommand.js.map