"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDeployment_1 = require("../model/operations/UpdateDeployment");
var UpdateDeploymentCommand = /** @class */ (function () {
    function UpdateDeploymentCommand(input) {
        this.input = input;
        this.model = UpdateDeployment_1.UpdateDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDeploymentCommand;
}());
exports.UpdateDeploymentCommand = UpdateDeploymentCommand;
//# sourceMappingURL=UpdateDeploymentCommand.js.map