"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateIntegration_1 = require("../model/operations/UpdateIntegration");
var UpdateIntegrationCommand = /** @class */ (function () {
    function UpdateIntegrationCommand(input) {
        this.input = input;
        this.model = UpdateIntegration_1.UpdateIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateIntegrationCommand;
}());
exports.UpdateIntegrationCommand = UpdateIntegrationCommand;
//# sourceMappingURL=UpdateIntegrationCommand.js.map