"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateIntegrationResponse_1 = require("../model/operations/UpdateIntegrationResponse");
var UpdateIntegrationResponseCommand = /** @class */ (function () {
    function UpdateIntegrationResponseCommand(input) {
        this.input = input;
        this.model = UpdateIntegrationResponse_1.UpdateIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateIntegrationResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateIntegrationResponseCommand;
}());
exports.UpdateIntegrationResponseCommand = UpdateIntegrationResponseCommand;
//# sourceMappingURL=UpdateIntegrationResponseCommand.js.map