"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateMethod_1 = require("../model/operations/UpdateMethod");
var UpdateMethodCommand = /** @class */ (function () {
    function UpdateMethodCommand(input) {
        this.input = input;
        this.model = UpdateMethod_1.UpdateMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateMethodCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateMethodCommand;
}());
exports.UpdateMethodCommand = UpdateMethodCommand;
//# sourceMappingURL=UpdateMethodCommand.js.map