"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateMethodResponse_1 = require("../model/operations/UpdateMethodResponse");
var UpdateMethodResponseCommand = /** @class */ (function () {
    function UpdateMethodResponseCommand(input) {
        this.input = input;
        this.model = UpdateMethodResponse_1.UpdateMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateMethodResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateMethodResponseCommand;
}());
exports.UpdateMethodResponseCommand = UpdateMethodResponseCommand;
//# sourceMappingURL=UpdateMethodResponseCommand.js.map