"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateModel_1 = require("../model/operations/UpdateModel");
var UpdateModelCommand = /** @class */ (function () {
    function UpdateModelCommand(input) {
        this.input = input;
        this.model = UpdateModel_1.UpdateModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateModelCommand;
}());
exports.UpdateModelCommand = UpdateModelCommand;
//# sourceMappingURL=UpdateModelCommand.js.map