"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRequestValidator_1 = require("../model/operations/UpdateRequestValidator");
var UpdateRequestValidatorCommand = /** @class */ (function () {
    function UpdateRequestValidatorCommand(input) {
        this.input = input;
        this.model = UpdateRequestValidator_1.UpdateRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRequestValidatorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRequestValidatorCommand;
}());
exports.UpdateRequestValidatorCommand = UpdateRequestValidatorCommand;
//# sourceMappingURL=UpdateRequestValidatorCommand.js.map