"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateResource_1 = require("../model/operations/UpdateResource");
var UpdateResourceCommand = /** @class */ (function () {
    function UpdateResourceCommand(input) {
        this.input = input;
        this.model = UpdateResource_1.UpdateResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateResourceCommand;
}());
exports.UpdateResourceCommand = UpdateResourceCommand;
//# sourceMappingURL=UpdateResourceCommand.js.map