"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRestApi_1 = require("../model/operations/UpdateRestApi");
var UpdateRestApiCommand = /** @class */ (function () {
    function UpdateRestApiCommand(input) {
        this.input = input;
        this.model = UpdateRestApi_1.UpdateRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRestApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRestApiCommand;
}());
exports.UpdateRestApiCommand = UpdateRestApiCommand;
//# sourceMappingURL=UpdateRestApiCommand.js.map