"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateStage_1 = require("../model/operations/UpdateStage");
var UpdateStageCommand = /** @class */ (function () {
    function UpdateStageCommand(input) {
        this.input = input;
        this.model = UpdateStage_1.UpdateStage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateStageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateStageCommand;
}());
exports.UpdateStageCommand = UpdateStageCommand;
//# sourceMappingURL=UpdateStageCommand.js.map