"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateUsage_1 = require("../model/operations/UpdateUsage");
var UpdateUsageCommand = /** @class */ (function () {
    function UpdateUsageCommand(input) {
        this.input = input;
        this.model = UpdateUsage_1.UpdateUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateUsageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateUsageCommand;
}());
exports.UpdateUsageCommand = UpdateUsageCommand;
//# sourceMappingURL=UpdateUsageCommand.js.map