"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateApiKeyInput_1 = require("../shapes/CreateApiKeyInput");
var CreateApiKeyOutput_1 = require("../shapes/CreateApiKeyOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateApiKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateApiKey",
    http: {
        method: "POST",
        requestUri: "/apikeys"
    },
    input: {
        shape: CreateApiKeyInput_1.CreateApiKeyInput
    },
    output: {
        shape: CreateApiKeyOutput_1.CreateApiKeyOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateApiKey.js.map