"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAuthorizerInput_1 = require("../shapes/CreateAuthorizerInput");
var CreateAuthorizerOutput_1 = require("../shapes/CreateAuthorizerOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAuthorizer",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/authorizers"
    },
    input: {
        shape: CreateAuthorizerInput_1.CreateAuthorizerInput
    },
    output: {
        shape: CreateAuthorizerOutput_1.CreateAuthorizerOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateAuthorizer.js.map