"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateBasePathMappingInput_1 = require("../shapes/CreateBasePathMappingInput");
var CreateBasePathMappingOutput_1 = require("../shapes/CreateBasePathMappingOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var ConflictException_1 = require("../shapes/ConflictException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateBasePathMapping",
    http: {
        method: "POST",
        requestUri: "/domainnames/{domain_name}/basepathmappings"
    },
    input: {
        shape: CreateBasePathMappingInput_1.CreateBasePathMappingInput
    },
    output: {
        shape: CreateBasePathMappingOutput_1.CreateBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateBasePathMapping.js.map