"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDeploymentInput_1 = require("../shapes/CreateDeploymentInput");
var CreateDeploymentOutput_1 = require("../shapes/CreateDeploymentOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDeployment",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/deployments"
    },
    input: {
        shape: CreateDeploymentInput_1.CreateDeploymentInput
    },
    output: {
        shape: CreateDeploymentOutput_1.CreateDeploymentOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=CreateDeployment.js.map