"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDocumentationPartInput_1 = require("../shapes/CreateDocumentationPartInput");
var CreateDocumentationPartOutput_1 = require("../shapes/CreateDocumentationPartOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDocumentationPart = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDocumentationPart",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/documentation/parts"
    },
    input: {
        shape: CreateDocumentationPartInput_1.CreateDocumentationPartInput
    },
    output: {
        shape: CreateDocumentationPartOutput_1.CreateDocumentationPartOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateDocumentationPart.js.map