"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDocumentationVersionInput_1 = require("../shapes/CreateDocumentationVersionInput");
var CreateDocumentationVersionOutput_1 = require("../shapes/CreateDocumentationVersionOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDocumentationVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDocumentationVersion",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/documentation/versions"
    },
    input: {
        shape: CreateDocumentationVersionInput_1.CreateDocumentationVersionInput
    },
    output: {
        shape: CreateDocumentationVersionOutput_1.CreateDocumentationVersionOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateDocumentationVersion.js.map