"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDomainNameInput_1 = require("../shapes/CreateDomainNameInput");
var CreateDomainNameOutput_1 = require("../shapes/CreateDomainNameOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDomainName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDomainName",
    http: {
        method: "POST",
        requestUri: "/domainnames"
    },
    input: {
        shape: CreateDomainNameInput_1.CreateDomainNameInput
    },
    output: {
        shape: CreateDomainNameOutput_1.CreateDomainNameOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateDomainName.js.map