"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateRequestValidatorInput_1 = require("../shapes/CreateRequestValidatorInput");
var CreateRequestValidatorOutput_1 = require("../shapes/CreateRequestValidatorOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRequestValidator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRequestValidator",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/requestvalidators"
    },
    input: {
        shape: CreateRequestValidatorInput_1.CreateRequestValidatorInput
    },
    output: {
        shape: CreateRequestValidatorOutput_1.CreateRequestValidatorOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateRequestValidator.js.map