"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateUsagePlanInput_1 = require("../shapes/CreateUsagePlanInput");
var CreateUsagePlanOutput_1 = require("../shapes/CreateUsagePlanOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ConflictException_1 = require("../shapes/ConflictException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateUsagePlan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateUsagePlan",
    http: {
        method: "POST",
        requestUri: "/usageplans"
    },
    input: {
        shape: CreateUsagePlanInput_1.CreateUsagePlanInput
    },
    output: {
        shape: CreateUsagePlanOutput_1.CreateUsagePlanOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=CreateUsagePlan.js.map