"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateUsagePlanKeyInput_1 = require("../shapes/CreateUsagePlanKeyInput");
var CreateUsagePlanKeyOutput_1 = require("../shapes/CreateUsagePlanKeyOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateUsagePlanKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateUsagePlanKey",
    http: {
        method: "POST",
        requestUri: "/usageplans/{usageplanId}/keys"
    },
    input: {
        shape: CreateUsagePlanKeyInput_1.CreateUsagePlanKeyInput
    },
    output: {
        shape: CreateUsagePlanKeyOutput_1.CreateUsagePlanKeyOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateUsagePlanKey.js.map