"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAuthorizerInput_1 = require("../shapes/DeleteAuthorizerInput");
var DeleteAuthorizerOutput_1 = require("../shapes/DeleteAuthorizerOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAuthorizer",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
    },
    input: {
        shape: DeleteAuthorizerInput_1.DeleteAuthorizerInput
    },
    output: {
        shape: DeleteAuthorizerOutput_1.DeleteAuthorizerOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteAuthorizer.js.map