"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteBasePathMappingInput_1 = require("../shapes/DeleteBasePathMappingInput");
var DeleteBasePathMappingOutput_1 = require("../shapes/DeleteBasePathMappingOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteBasePathMapping",
    http: {
        method: "DELETE",
        requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
    },
    input: {
        shape: DeleteBasePathMappingInput_1.DeleteBasePathMappingInput
    },
    output: {
        shape: DeleteBasePathMappingOutput_1.DeleteBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteBasePathMapping.js.map