"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteClientCertificateInput_1 = require("../shapes/DeleteClientCertificateInput");
var DeleteClientCertificateOutput_1 = require("../shapes/DeleteClientCertificateOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteClientCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteClientCertificate",
    http: {
        method: "DELETE",
        requestUri: "/clientcertificates/{clientcertificate_id}"
    },
    input: {
        shape: DeleteClientCertificateInput_1.DeleteClientCertificateInput
    },
    output: {
        shape: DeleteClientCertificateOutput_1.DeleteClientCertificateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteClientCertificate.js.map