"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDeploymentInput_1 = require("../shapes/DeleteDeploymentInput");
var DeleteDeploymentOutput_1 = require("../shapes/DeleteDeploymentOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDeployment",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}"
    },
    input: {
        shape: DeleteDeploymentInput_1.DeleteDeploymentInput
    },
    output: {
        shape: DeleteDeploymentOutput_1.DeleteDeploymentOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteDeployment.js.map