"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDocumentationVersionInput_1 = require("../shapes/DeleteDocumentationVersionInput");
var DeleteDocumentationVersionOutput_1 = require("../shapes/DeleteDocumentationVersionOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDocumentationVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDocumentationVersion",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/documentation/versions/{doc_version}"
    },
    input: {
        shape: DeleteDocumentationVersionInput_1.DeleteDocumentationVersionInput
    },
    output: {
        shape: DeleteDocumentationVersionOutput_1.DeleteDocumentationVersionOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteDocumentationVersion.js.map