"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteGatewayResponseInput_1 = require("../shapes/DeleteGatewayResponseInput");
var DeleteGatewayResponseOutput_1 = require("../shapes/DeleteGatewayResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteGatewayResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteGatewayResponse",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
    },
    input: {
        shape: DeleteGatewayResponseInput_1.DeleteGatewayResponseInput
    },
    output: {
        shape: DeleteGatewayResponseOutput_1.DeleteGatewayResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteGatewayResponse.js.map