"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteIntegrationInput_1 = require("../shapes/DeleteIntegrationInput");
var DeleteIntegrationOutput_1 = require("../shapes/DeleteIntegrationOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteIntegration",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
    },
    input: {
        shape: DeleteIntegrationInput_1.DeleteIntegrationInput
    },
    output: {
        shape: DeleteIntegrationOutput_1.DeleteIntegrationOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteIntegration.js.map