"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteIntegrationResponseInput_1 = require("../shapes/DeleteIntegrationResponseInput");
var DeleteIntegrationResponseOutput_1 = require("../shapes/DeleteIntegrationResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteIntegrationResponse",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
    },
    input: {
        shape: DeleteIntegrationResponseInput_1.DeleteIntegrationResponseInput
    },
    output: {
        shape: DeleteIntegrationResponseOutput_1.DeleteIntegrationResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteIntegrationResponse.js.map