"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteMethodResponseInput_1 = require("../shapes/DeleteMethodResponseInput");
var DeleteMethodResponseOutput_1 = require("../shapes/DeleteMethodResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMethodResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMethodResponse",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
    },
    input: {
        shape: DeleteMethodResponseInput_1.DeleteMethodResponseInput
    },
    output: {
        shape: DeleteMethodResponseOutput_1.DeleteMethodResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteMethodResponse.js.map