"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRestApiInput_1 = require("../shapes/DeleteRestApiInput");
var DeleteRestApiOutput_1 = require("../shapes/DeleteRestApiOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRestApi",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}"
    },
    input: {
        shape: DeleteRestApiInput_1.DeleteRestApiInput
    },
    output: {
        shape: DeleteRestApiOutput_1.DeleteRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteRestApi.js.map