"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteStageInput_1 = require("../shapes/DeleteStageInput");
var DeleteStageOutput_1 = require("../shapes/DeleteStageOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteStage",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}"
    },
    input: {
        shape: DeleteStageInput_1.DeleteStageInput
    },
    output: {
        shape: DeleteStageOutput_1.DeleteStageOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteStage.js.map