"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteUsagePlanInput_1 = require("../shapes/DeleteUsagePlanInput");
var DeleteUsagePlanOutput_1 = require("../shapes/DeleteUsagePlanOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteUsagePlan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteUsagePlan",
    http: {
        method: "DELETE",
        requestUri: "/usageplans/{usageplanId}"
    },
    input: {
        shape: DeleteUsagePlanInput_1.DeleteUsagePlanInput
    },
    output: {
        shape: DeleteUsagePlanOutput_1.DeleteUsagePlanOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteUsagePlan.js.map