"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteUsagePlanKeyInput_1 = require("../shapes/DeleteUsagePlanKeyInput");
var DeleteUsagePlanKeyOutput_1 = require("../shapes/DeleteUsagePlanKeyOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteUsagePlanKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteUsagePlanKey",
    http: {
        method: "DELETE",
        requestUri: "/usageplans/{usageplanId}/keys/{keyId}"
    },
    input: {
        shape: DeleteUsagePlanKeyInput_1.DeleteUsagePlanKeyInput
    },
    output: {
        shape: DeleteUsagePlanKeyOutput_1.DeleteUsagePlanKeyOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteUsagePlanKey.js.map