"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteVpcLinkInput_1 = require("../shapes/DeleteVpcLinkInput");
var DeleteVpcLinkOutput_1 = require("../shapes/DeleteVpcLinkOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteVpcLink = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteVpcLink",
    http: {
        method: "DELETE",
        requestUri: "/vpclinks/{vpclink_id}"
    },
    input: {
        shape: DeleteVpcLinkInput_1.DeleteVpcLinkInput
    },
    output: {
        shape: DeleteVpcLinkOutput_1.DeleteVpcLinkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteVpcLink.js.map