"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FlushStageAuthorizersCacheInput_1 = require("../shapes/FlushStageAuthorizersCacheInput");
var FlushStageAuthorizersCacheOutput_1 = require("../shapes/FlushStageAuthorizersCacheOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.FlushStageAuthorizersCache = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "FlushStageAuthorizersCache",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}/cache/authorizers"
    },
    input: {
        shape: FlushStageAuthorizersCacheInput_1.FlushStageAuthorizersCacheInput
    },
    output: {
        shape: FlushStageAuthorizersCacheOutput_1.FlushStageAuthorizersCacheOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=FlushStageAuthorizersCache.js.map