"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FlushStageCacheInput_1 = require("../shapes/FlushStageCacheInput");
var FlushStageCacheOutput_1 = require("../shapes/FlushStageCacheOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.FlushStageCache = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "FlushStageCache",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}/cache/data"
    },
    input: {
        shape: FlushStageCacheInput_1.FlushStageCacheInput
    },
    output: {
        shape: FlushStageCacheOutput_1.FlushStageCacheOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=FlushStageCache.js.map