"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GenerateClientCertificateInput_1 = require("../shapes/GenerateClientCertificateInput");
var GenerateClientCertificateOutput_1 = require("../shapes/GenerateClientCertificateOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GenerateClientCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GenerateClientCertificate",
    http: {
        method: "POST",
        requestUri: "/clientcertificates"
    },
    input: {
        shape: GenerateClientCertificateInput_1.GenerateClientCertificateInput
    },
    output: {
        shape: GenerateClientCertificateOutput_1.GenerateClientCertificateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=GenerateClientCertificate.js.map