"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetApiKeysInput_1 = require("../shapes/GetApiKeysInput");
var GetApiKeysOutput_1 = require("../shapes/GetApiKeysOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApiKeys = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApiKeys",
    http: {
        method: "GET",
        requestUri: "/apikeys"
    },
    input: {
        shape: GetApiKeysInput_1.GetApiKeysInput
    },
    output: {
        shape: GetApiKeysOutput_1.GetApiKeysOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetApiKeys.js.map