"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAuthorizersInput_1 = require("../shapes/GetAuthorizersInput");
var GetAuthorizersOutput_1 = require("../shapes/GetAuthorizersOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAuthorizers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAuthorizers",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/authorizers"
    },
    input: {
        shape: GetAuthorizersInput_1.GetAuthorizersInput
    },
    output: {
        shape: GetAuthorizersOutput_1.GetAuthorizersOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetAuthorizers.js.map