"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentInput_1 = require("../shapes/GetDeploymentInput");
var GetDeploymentOutput_1 = require("../shapes/GetDeploymentOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeployment",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}"
    },
    input: {
        shape: GetDeploymentInput_1.GetDeploymentInput
    },
    output: {
        shape: GetDeploymentOutput_1.GetDeploymentOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=GetDeployment.js.map