"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentsInput_1 = require("../shapes/GetDeploymentsInput");
var GetDeploymentsOutput_1 = require("../shapes/GetDeploymentsOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeployments = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeployments",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/deployments"
    },
    input: {
        shape: GetDeploymentsInput_1.GetDeploymentsInput
    },
    output: {
        shape: GetDeploymentsOutput_1.GetDeploymentsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=GetDeployments.js.map