"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDomainNameInput_1 = require("../shapes/GetDomainNameInput");
var GetDomainNameOutput_1 = require("../shapes/GetDomainNameOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDomainName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDomainName",
    http: {
        method: "GET",
        requestUri: "/domainnames/{domain_name}"
    },
    input: {
        shape: GetDomainNameInput_1.GetDomainNameInput
    },
    output: {
        shape: GetDomainNameOutput_1.GetDomainNameOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDomainName.js.map