"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetGatewayResponseInput_1 = require("../shapes/GetGatewayResponseInput");
var GetGatewayResponseOutput_1 = require("../shapes/GetGatewayResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetGatewayResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetGatewayResponse",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
    },
    input: {
        shape: GetGatewayResponseInput_1.GetGatewayResponseInput
    },
    output: {
        shape: GetGatewayResponseOutput_1.GetGatewayResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetGatewayResponse.js.map