"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetIntegrationResponseInput_1 = require("../shapes/GetIntegrationResponseInput");
var GetIntegrationResponseOutput_1 = require("../shapes/GetIntegrationResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetIntegrationResponse",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
    },
    input: {
        shape: GetIntegrationResponseInput_1.GetIntegrationResponseInput
    },
    output: {
        shape: GetIntegrationResponseOutput_1.GetIntegrationResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetIntegrationResponse.js.map