"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetMethodInput_1 = require("../shapes/GetMethodInput");
var GetMethodOutput_1 = require("../shapes/GetMethodOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMethod = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMethod",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
    },
    input: {
        shape: GetMethodInput_1.GetMethodInput
    },
    output: {
        shape: GetMethodOutput_1.GetMethodOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetMethod.js.map