"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetMethodResponseInput_1 = require("../shapes/GetMethodResponseInput");
var GetMethodResponseOutput_1 = require("../shapes/GetMethodResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMethodResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMethodResponse",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
    },
    input: {
        shape: GetMethodResponseInput_1.GetMethodResponseInput
    },
    output: {
        shape: GetMethodResponseOutput_1.GetMethodResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetMethodResponse.js.map