"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetModelInput_1 = require("../shapes/GetModelInput");
var GetModelOutput_1 = require("../shapes/GetModelOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetModel",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/models/{model_name}"
    },
    input: {
        shape: GetModelInput_1.GetModelInput
    },
    output: {
        shape: GetModelOutput_1.GetModelOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetModel.js.map