"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetModelTemplateInput_1 = require("../shapes/GetModelTemplateInput");
var GetModelTemplateOutput_1 = require("../shapes/GetModelTemplateOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetModelTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetModelTemplate",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/models/{model_name}/default_template"
    },
    input: {
        shape: GetModelTemplateInput_1.GetModelTemplateInput
    },
    output: {
        shape: GetModelTemplateOutput_1.GetModelTemplateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetModelTemplate.js.map