"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetRequestValidatorInput_1 = require("../shapes/GetRequestValidatorInput");
var GetRequestValidatorOutput_1 = require("../shapes/GetRequestValidatorOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRequestValidator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRequestValidator",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
    },
    input: {
        shape: GetRequestValidatorInput_1.GetRequestValidatorInput
    },
    output: {
        shape: GetRequestValidatorOutput_1.GetRequestValidatorOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRequestValidator.js.map