"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetRequestValidatorsInput_1 = require("../shapes/GetRequestValidatorsInput");
var GetRequestValidatorsOutput_1 = require("../shapes/GetRequestValidatorsOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRequestValidators = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRequestValidators",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/requestvalidators"
    },
    input: {
        shape: GetRequestValidatorsInput_1.GetRequestValidatorsInput
    },
    output: {
        shape: GetRequestValidatorsOutput_1.GetRequestValidatorsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRequestValidators.js.map