"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResourcesInput_1 = require("../shapes/GetResourcesInput");
var GetResourcesOutput_1 = require("../shapes/GetResourcesOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResources",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/resources"
    },
    input: {
        shape: GetResourcesInput_1.GetResourcesInput
    },
    output: {
        shape: GetResourcesOutput_1.GetResourcesOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetResources.js.map