"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetRestApiInput_1 = require("../shapes/GetRestApiInput");
var GetRestApiOutput_1 = require("../shapes/GetRestApiOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRestApi",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}"
    },
    input: {
        shape: GetRestApiInput_1.GetRestApiInput
    },
    output: {
        shape: GetRestApiOutput_1.GetRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRestApi.js.map