"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetRestApisInput_1 = require("../shapes/GetRestApisInput");
var GetRestApisOutput_1 = require("../shapes/GetRestApisOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRestApis = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRestApis",
    http: {
        method: "GET",
        requestUri: "/restapis"
    },
    input: {
        shape: GetRestApisInput_1.GetRestApisInput
    },
    output: {
        shape: GetRestApisOutput_1.GetRestApisOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRestApis.js.map