"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetSdkInput_1 = require("../shapes/GetSdkInput");
var GetSdkOutput_1 = require("../shapes/GetSdkOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSdk = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSdk",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}/sdks/{sdk_type}"
    },
    input: {
        shape: GetSdkInput_1.GetSdkInput
    },
    output: {
        shape: GetSdkOutput_1.GetSdkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetSdk.js.map