"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetTagsInput_1 = require("../shapes/GetTagsInput");
var GetTagsOutput_1 = require("../shapes/GetTagsOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetTags",
    http: {
        method: "GET",
        requestUri: "/tags/{resource_arn}"
    },
    input: {
        shape: GetTagsInput_1.GetTagsInput
    },
    output: {
        shape: GetTagsOutput_1.GetTagsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=GetTags.js.map