"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetUsageInput_1 = require("../shapes/GetUsageInput");
var GetUsageOutput_1 = require("../shapes/GetUsageOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUsage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUsage",
    http: {
        method: "GET",
        requestUri: "/usageplans/{usageplanId}/usage"
    },
    input: {
        shape: GetUsageInput_1.GetUsageInput
    },
    output: {
        shape: GetUsageOutput_1.GetUsageOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetUsage.js.map