"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetUsagePlanKeyInput_1 = require("../shapes/GetUsagePlanKeyInput");
var GetUsagePlanKeyOutput_1 = require("../shapes/GetUsagePlanKeyOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUsagePlanKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUsagePlanKey",
    http: {
        method: "GET",
        requestUri: "/usageplans/{usageplanId}/keys/{keyId}"
    },
    input: {
        shape: GetUsagePlanKeyInput_1.GetUsagePlanKeyInput
    },
    output: {
        shape: GetUsagePlanKeyOutput_1.GetUsagePlanKeyOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetUsagePlanKey.js.map