"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ImportApiKeysInput_1 = require("../shapes/ImportApiKeysInput");
var ImportApiKeysOutput_1 = require("../shapes/ImportApiKeysOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportApiKeys = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportApiKeys",
    http: {
        method: "POST",
        requestUri: "/apikeys?mode=import"
    },
    input: {
        shape: ImportApiKeysInput_1.ImportApiKeysInput
    },
    output: {
        shape: ImportApiKeysOutput_1.ImportApiKeysOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=ImportApiKeys.js.map