"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ImportDocumentationPartsInput_1 = require("../shapes/ImportDocumentationPartsInput");
var ImportDocumentationPartsOutput_1 = require("../shapes/ImportDocumentationPartsOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportDocumentationParts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportDocumentationParts",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/documentation/parts"
    },
    input: {
        shape: ImportDocumentationPartsInput_1.ImportDocumentationPartsInput
    },
    output: {
        shape: ImportDocumentationPartsOutput_1.ImportDocumentationPartsOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ImportDocumentationParts.js.map