"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ImportRestApiInput_1 = require("../shapes/ImportRestApiInput");
var ImportRestApiOutput_1 = require("../shapes/ImportRestApiOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportRestApi",
    http: {
        method: "POST",
        requestUri: "/restapis?mode=import"
    },
    input: {
        shape: ImportRestApiInput_1.ImportRestApiInput
    },
    output: {
        shape: ImportRestApiOutput_1.ImportRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=ImportRestApi.js.map