"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutGatewayResponseInput_1 = require("../shapes/PutGatewayResponseInput");
var PutGatewayResponseOutput_1 = require("../shapes/PutGatewayResponseOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutGatewayResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutGatewayResponse",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
    },
    input: {
        shape: PutGatewayResponseInput_1.PutGatewayResponseInput
    },
    output: {
        shape: PutGatewayResponseOutput_1.PutGatewayResponseOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=PutGatewayResponse.js.map