"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutIntegrationInput_1 = require("../shapes/PutIntegrationInput");
var PutIntegrationOutput_1 = require("../shapes/PutIntegrationOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutIntegration",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
    },
    input: {
        shape: PutIntegrationInput_1.PutIntegrationInput
    },
    output: {
        shape: PutIntegrationOutput_1.PutIntegrationOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=PutIntegration.js.map