"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutMethodResponseInput_1 = require("../shapes/PutMethodResponseInput");
var PutMethodResponseOutput_1 = require("../shapes/PutMethodResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutMethodResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutMethodResponse",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
    },
    input: {
        shape: PutMethodResponseInput_1.PutMethodResponseInput
    },
    output: {
        shape: PutMethodResponseOutput_1.PutMethodResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=PutMethodResponse.js.map