"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutRestApiInput_1 = require("../shapes/PutRestApiInput");
var PutRestApiOutput_1 = require("../shapes/PutRestApiOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutRestApi",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}"
    },
    input: {
        shape: PutRestApiInput_1.PutRestApiInput
    },
    output: {
        shape: PutRestApiOutput_1.PutRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=PutRestApi.js.map