"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TestInvokeAuthorizerInput_1 = require("../shapes/TestInvokeAuthorizerInput");
var TestInvokeAuthorizerOutput_1 = require("../shapes/TestInvokeAuthorizerOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestInvokeAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestInvokeAuthorizer",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
    },
    input: {
        shape: TestInvokeAuthorizerInput_1.TestInvokeAuthorizerInput
    },
    output: {
        shape: TestInvokeAuthorizerOutput_1.TestInvokeAuthorizerOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=TestInvokeAuthorizer.js.map