"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TestInvokeMethodInput_1 = require("../shapes/TestInvokeMethodInput");
var TestInvokeMethodOutput_1 = require("../shapes/TestInvokeMethodOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestInvokeMethod = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestInvokeMethod",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
    },
    input: {
        shape: TestInvokeMethodInput_1.TestInvokeMethodInput
    },
    output: {
        shape: TestInvokeMethodOutput_1.TestInvokeMethodOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=TestInvokeMethod.js.map