"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("../shapes/UntagResourceInput");
var UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "DELETE",
        requestUri: "/tags/{resource_arn}"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map