"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateAccountInput_1 = require("../shapes/UpdateAccountInput");
var UpdateAccountOutput_1 = require("../shapes/UpdateAccountOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAccount = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAccount",
    http: {
        method: "PATCH",
        requestUri: "/account"
    },
    input: {
        shape: UpdateAccountInput_1.UpdateAccountInput
    },
    output: {
        shape: UpdateAccountOutput_1.UpdateAccountOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateAccount.js.map