"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateApiKeyInput_1 = require("../shapes/UpdateApiKeyInput");
var UpdateApiKeyOutput_1 = require("../shapes/UpdateApiKeyOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateApiKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateApiKey",
    http: {
        method: "PATCH",
        requestUri: "/apikeys/{api_Key}"
    },
    input: {
        shape: UpdateApiKeyInput_1.UpdateApiKeyInput
    },
    output: {
        shape: UpdateApiKeyOutput_1.UpdateApiKeyOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateApiKey.js.map