"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateAuthorizerInput_1 = require("../shapes/UpdateAuthorizerInput");
var UpdateAuthorizerOutput_1 = require("../shapes/UpdateAuthorizerOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAuthorizer",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
    },
    input: {
        shape: UpdateAuthorizerInput_1.UpdateAuthorizerInput
    },
    output: {
        shape: UpdateAuthorizerOutput_1.UpdateAuthorizerOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateAuthorizer.js.map