"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateBasePathMappingInput_1 = require("../shapes/UpdateBasePathMappingInput");
var UpdateBasePathMappingOutput_1 = require("../shapes/UpdateBasePathMappingOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateBasePathMapping",
    http: {
        method: "PATCH",
        requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
    },
    input: {
        shape: UpdateBasePathMappingInput_1.UpdateBasePathMappingInput
    },
    output: {
        shape: UpdateBasePathMappingOutput_1.UpdateBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateBasePathMapping.js.map