"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateClientCertificateInput_1 = require("../shapes/UpdateClientCertificateInput");
var UpdateClientCertificateOutput_1 = require("../shapes/UpdateClientCertificateOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateClientCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateClientCertificate",
    http: {
        method: "PATCH",
        requestUri: "/clientcertificates/{clientcertificate_id}"
    },
    input: {
        shape: UpdateClientCertificateInput_1.UpdateClientCertificateInput
    },
    output: {
        shape: UpdateClientCertificateOutput_1.UpdateClientCertificateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateClientCertificate.js.map