"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateDeploymentInput_1 = require("../shapes/UpdateDeploymentInput");
var UpdateDeploymentOutput_1 = require("../shapes/UpdateDeploymentOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDeployment",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}"
    },
    input: {
        shape: UpdateDeploymentInput_1.UpdateDeploymentInput
    },
    output: {
        shape: UpdateDeploymentOutput_1.UpdateDeploymentOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=UpdateDeployment.js.map