"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateDomainNameInput_1 = require("../shapes/UpdateDomainNameInput");
var UpdateDomainNameOutput_1 = require("../shapes/UpdateDomainNameOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDomainName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDomainName",
    http: {
        method: "PATCH",
        requestUri: "/domainnames/{domain_name}"
    },
    input: {
        shape: UpdateDomainNameInput_1.UpdateDomainNameInput
    },
    output: {
        shape: UpdateDomainNameOutput_1.UpdateDomainNameOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateDomainName.js.map