"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateIntegrationInput_1 = require("../shapes/UpdateIntegrationInput");
var UpdateIntegrationOutput_1 = require("../shapes/UpdateIntegrationOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateIntegration",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
    },
    input: {
        shape: UpdateIntegrationInput_1.UpdateIntegrationInput
    },
    output: {
        shape: UpdateIntegrationOutput_1.UpdateIntegrationOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateIntegration.js.map