"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateMethodInput_1 = require("../shapes/UpdateMethodInput");
var UpdateMethodOutput_1 = require("../shapes/UpdateMethodOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateMethod = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateMethod",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
    },
    input: {
        shape: UpdateMethodInput_1.UpdateMethodInput
    },
    output: {
        shape: UpdateMethodOutput_1.UpdateMethodOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateMethod.js.map