"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateMethodResponseInput_1 = require("../shapes/UpdateMethodResponseInput");
var UpdateMethodResponseOutput_1 = require("../shapes/UpdateMethodResponseOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateMethodResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateMethodResponse",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
    },
    input: {
        shape: UpdateMethodResponseInput_1.UpdateMethodResponseInput
    },
    output: {
        shape: UpdateMethodResponseOutput_1.UpdateMethodResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateMethodResponse.js.map