"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateModelInput_1 = require("../shapes/UpdateModelInput");
var UpdateModelOutput_1 = require("../shapes/UpdateModelOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateModel",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/models/{model_name}"
    },
    input: {
        shape: UpdateModelInput_1.UpdateModelInput
    },
    output: {
        shape: UpdateModelOutput_1.UpdateModelOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateModel.js.map