"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateRequestValidatorInput_1 = require("../shapes/UpdateRequestValidatorInput");
var UpdateRequestValidatorOutput_1 = require("../shapes/UpdateRequestValidatorOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRequestValidator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRequestValidator",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
    },
    input: {
        shape: UpdateRequestValidatorInput_1.UpdateRequestValidatorInput
    },
    output: {
        shape: UpdateRequestValidatorOutput_1.UpdateRequestValidatorOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateRequestValidator.js.map