"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateResourceInput_1 = require("../shapes/UpdateResourceInput");
var UpdateResourceOutput_1 = require("../shapes/UpdateResourceOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateResource",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}"
    },
    input: {
        shape: UpdateResourceInput_1.UpdateResourceInput
    },
    output: {
        shape: UpdateResourceOutput_1.UpdateResourceOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateResource.js.map