"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateStageInput_1 = require("../shapes/UpdateStageInput");
var UpdateStageOutput_1 = require("../shapes/UpdateStageOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateStage",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}"
    },
    input: {
        shape: UpdateStageInput_1.UpdateStageInput
    },
    output: {
        shape: UpdateStageOutput_1.UpdateStageOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateStage.js.map