"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateUsageInput_1 = require("../shapes/UpdateUsageInput");
var UpdateUsageOutput_1 = require("../shapes/UpdateUsageOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateUsage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateUsage",
    http: {
        method: "PATCH",
        requestUri: "/usageplans/{usageplanId}/keys/{keyId}/usage"
    },
    input: {
        shape: UpdateUsageInput_1.UpdateUsageInput
    },
    output: {
        shape: UpdateUsageOutput_1.UpdateUsageOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateUsage.js.map