"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateUsagePlanInput_1 = require("../shapes/UpdateUsagePlanInput");
var UpdateUsagePlanOutput_1 = require("../shapes/UpdateUsagePlanOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateUsagePlan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateUsagePlan",
    http: {
        method: "PATCH",
        requestUri: "/usageplans/{usageplanId}"
    },
    input: {
        shape: UpdateUsagePlanInput_1.UpdateUsagePlanInput
    },
    output: {
        shape: UpdateUsagePlanOutput_1.UpdateUsagePlanOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateUsagePlan.js.map