"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateVpcLinkInput_1 = require("../shapes/UpdateVpcLinkInput");
var UpdateVpcLinkOutput_1 = require("../shapes/UpdateVpcLinkOutput");
var UnauthorizedException_1 = require("../shapes/UnauthorizedException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateVpcLink = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateVpcLink",
    http: {
        method: "PATCH",
        requestUri: "/vpclinks/{vpclink_id}"
    },
    input: {
        shape: UpdateVpcLinkInput_1.UpdateVpcLinkInput
    },
    output: {
        shape: UpdateVpcLinkOutput_1.UpdateVpcLinkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateVpcLink.js.map