"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _ListOfString_1 = require("./_ListOfString");
exports.PutIntegrationInput = {
    type: "structure",
    required: ["restApiId", "resourceId", "httpMethod", "type"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        resourceId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource_id"
        },
        httpMethod: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "http_method"
        },
        type: {
            shape: {
                type: "string"
            }
        },
        integrationHttpMethod: {
            shape: {
                type: "string"
            },
            locationName: "httpMethod"
        },
        uri: {
            shape: {
                type: "string"
            }
        },
        connectionType: {
            shape: {
                type: "string"
            }
        },
        connectionId: {
            shape: {
                type: "string"
            }
        },
        credentials: {
            shape: {
                type: "string"
            }
        },
        requestParameters: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        requestTemplates: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        passthroughBehavior: {
            shape: {
                type: "string"
            }
        },
        cacheNamespace: {
            shape: {
                type: "string"
            }
        },
        cacheKeyParameters: {
            shape: _ListOfString_1._ListOfString
        },
        contentHandling: {
            shape: {
                type: "string"
            }
        },
        timeoutInMillis: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=PutIntegrationInput.js.map