"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MapOfStringToBoolean_1 = require("./_MapOfStringToBoolean");
var _MapOfStringToString_1 = require("./_MapOfStringToString");
var _ListOfString_1 = require("./_ListOfString");
exports.PutMethodInput = {
    type: "structure",
    required: ["restApiId", "resourceId", "httpMethod", "authorizationType"],
    members: {
        restApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "restapi_id"
        },
        resourceId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource_id"
        },
        httpMethod: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "http_method"
        },
        authorizationType: {
            shape: {
                type: "string"
            }
        },
        authorizerId: {
            shape: {
                type: "string"
            }
        },
        apiKeyRequired: {
            shape: {
                type: "boolean"
            }
        },
        operationName: {
            shape: {
                type: "string"
            }
        },
        requestParameters: {
            shape: _MapOfStringToBoolean_1._MapOfStringToBoolean
        },
        requestModels: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        requestValidatorId: {
            shape: {
                type: "string"
            }
        },
        authorizationScopes: {
            shape: _ListOfString_1._ListOfString
        }
    }
};
//# sourceMappingURL=PutMethodInput.js.map