"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var APIGatewayClient_1 = require("../../APIGatewayClient");
var GetDomainNamesCommand_1 = require("../../commands/GetDomainNamesCommand");
var CreateUsagePlanKeyCommand_1 = require("../../commands/CreateUsagePlanKeyCommand");
describe("@aws-sdk/client-api-gateway-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("GetDomainNames should succeed when given correct input", function (done) {
        var client = new APIGatewayClient_1.APIGatewayClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getDomainNames = new GetDomainNamesCommand_1.GetDomainNamesCommand({});
        client
            .send(getDomainNames)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("CreateUsagePlanKey should fail when given bad input", function (done) {
        var client = new APIGatewayClient_1.APIGatewayClient({
            region: defaultRegion,
            credentials: credentials
        });
        var createUsagePlanKey = new CreateUsagePlanKeyCommand_1.CreateUsagePlanKeyCommand({
            usagePlanId: "foo",
            keyId: "bar",
            keyType: "fixx"
        });
        client
            .send(createUsagePlanKey)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map