import { _UnmarshalledBasePathMapping } from "./_BasePathMapping";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents a collection of <a>BasePathMapping</a> resources.</p> <div class="seeAlso"> <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-custom-domains.html">Use Custom Domain Names</a> </div>
 */
export interface GetBasePathMappingsOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * _String shape
     */
    position?: string;
    /**
     * <p>The current page of elements from this collection.</p>
     */
    items?: Array<_UnmarshalledBasePathMapping>;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
