import { _UnmarshalledModel } from "./_Model";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents a collection of <a>Model</a> resources.</p> <div class="seeAlso"> <a>Method</a>, <a>MethodResponse</a>, <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/models-mappings.html">Models and Mappings</a> </div>
 */
export interface GetModelsOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * _String shape
     */
    position?: string;
    /**
     * <p>The current page of elements from this collection.</p>
     */
    items?: Array<_UnmarshalledModel>;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
