import { _UnmarshalledResource } from "./_Resource";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents a collection of <a>Resource</a> resources.</p> <div class="seeAlso"> <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Create an API</a> </div>
 */
export interface GetResourcesOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * _String shape
     */
    position?: string;
    /**
     * <p>The current page of elements from this collection.</p>
     */
    items?: Array<_UnmarshalledResource>;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
