import { _UnmarshalledVpcLink } from "./_VpcLink";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>The collection of VPC links under the caller's account in a region.</p> <div class="seeAlso"> <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/getting-started-with-private-integration.html">Getting Started with Private Integrations</a>, <a href="https://docs.aws.amazon.com/apigateway/latest/developerguide/set-up-private-integration.html">Set up Private Integrations</a> </div>
 */
export interface GetVpcLinksOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * _String shape
     */
    position?: string;
    /**
     * <p>The current page of elements from this collection.</p>
     */
    items?: Array<_UnmarshalledVpcLink>;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
