import { _PatchOperation } from "./_PatchOperation";
import { BrowserHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>A request to change information about an <a>ClientCertificate</a> resource.</p>
 */
export interface UpdateClientCertificateInput {
    /**
     * <p>[Required] The identifier of the <a>ClientCertificate</a> resource to be updated.</p>
     */
    clientCertificateId: string;
    /**
     * <p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>
     */
    patchOperations?: Array<_PatchOperation> | Iterable<_PatchOperation>;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
